<?php
/**
*
* @package phpBB Arcade install
* @version $Id: arcade_config.php 165 2012-12-31 08:08:44Z killbill $
* @copyright (c) 2008-2011 JRSweets - jrsweets@gmail.com
* @copyright (c) 2011-2013 http://phpbbarcade.jatek-vilag.com
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_INSTALL') || !defined('IN_PHPBB'))
{
	exit;
}

$arcade_mod_config = array(
	'copyright'		=> 'Powered by <a href="http://phpbbarcade.jatek-vilag.com">phpBB Arcade</a> © 2008-2013',
	'version'		=> array(
		'current'	=> '2.0.RC5',
		'oldest'	=> '1.0.0',
		'phpbb'		=> '3.0.11',
	)
);

if (!defined('IN_INSTALL_PHPBB_ARCADE'))
{
	return;
}

$arcade_mod_config += array(
	'writable_directories'	=> array('arcade/backup/', 'arcade/gamedata/', 'arcade/games/', 'arcade/install/', 'games/', 'store/'),
	'permission'			=> array(
		'arcade'			=> array(
			'c_', 'c_list', 'c_view', 'c_play', 'c_playfree', 'c_score', 'c_rate', 'c_re_rate', 'c_comment', 'c_report', 'c_download', 'c_ignorecontrol', 'c_ignoreflood_download', 'c_ignoreflood_play', 'c_challenge_playing_games', 'c_challenge_start_game_warning', 'c_downloadfree',
			'u_'
		),
		'phpbb'				=> array(
			'a_arcade', 'a_arcade_backup', 'a_cauth', 'a_arcade_settings', 'a_arcade_points_settings', 'a_arcade_game', 'a_arcade_delete_game', 'a_arcade_cat', 'a_arcade_delete_cat', 'a_arcade_plugin', 'a_arcade_plugin_remove', 'a_arcade_user', 'a_arcade_utilities', 'a_arcade_viewlogs', 'a_arcade_clearlogs',
			'u_arcade', 'u_arcade_challenge', 'u_arcade_download', 'u_arcade_favorites', 'u_arcade_ignoreflood_search', 'u_arcade_popup', 'u_arcade_pm', 'u_arcade_resolution', 'u_arcade_search', 'u_arcade_view_whoisplaying', 'u_arcade_viewstats'
		),
		'roles_set'			=> array(
			'phpbb'			=> array(
				array('ROLE_ADMIN_FULL'		, array('a_arcade', 'a_arcade_backup', 'a_cauth', 'a_arcade_settings', 'a_arcade_points_settings', 'a_arcade_game', 'a_arcade_delete_game', 'a_arcade_cat', 'a_arcade_delete_cat', 'a_arcade_plugin', 'a_arcade_plugin_remove', 'a_arcade_user', 'a_arcade_utilities', 'a_arcade_viewlogs', 'a_arcade_clearlogs')),
				array('ROLE_ADMIN_STANDARD'	, array('a_arcade', 'a_arcade_backup', 'a_cauth', 'a_arcade_settings', 'a_arcade_points_settings', 'a_arcade_game', 'a_arcade_delete_game', 'a_arcade_cat', 'a_arcade_delete_cat', 'a_arcade_plugin', 'a_arcade_plugin_remove', 'a_arcade_user', 'a_arcade_utilities', 'a_arcade_viewlogs', 'a_arcade_clearlogs')),
				array('ROLE_ADMIN_FORUM'	, array('a_arcade', 'a_cauth', 'a_arcade_settings', 'a_arcade_game', 'a_arcade_cat', 'a_arcade_plugin', 'a_arcade_user', 'a_arcade_utilities', 'a_arcade_viewlogs')),
				array('ROLE_ADMIN_USERGROUP', array('a_arcade', 'a_cauth', 'a_arcade_settings', 'a_arcade_game', 'a_arcade_cat', 'a_arcade_plugin', 'a_arcade_user', 'a_arcade_utilities', 'a_arcade_viewlogs')),

				array('ROLE_USER_FULL'		, array('u_arcade', 'u_arcade_challenge', 'u_arcade_download', 'u_arcade_favorites', 'u_arcade_ignoreflood_search', 'u_arcade_popup', 'u_arcade_pm', 'u_arcade_resolution', 'u_arcade_search', 'u_arcade_view_whoisplaying', 'u_arcade_viewstats')),
				array('ROLE_USER_STANDARD'	, array('u_arcade', 'u_arcade_challenge', 'u_arcade_download', 'u_arcade_favorites', 'u_arcade_ignoreflood_search', 'u_arcade_popup', 'u_arcade_pm', 'u_arcade_resolution', 'u_arcade_search', 'u_arcade_view_whoisplaying', 'u_arcade_viewstats')),
				array('ROLE_USER_LIMITED'	, array('u_arcade', 'u_arcade_challenge', 'u_arcade_download', 'u_arcade_favorites', 'u_arcade_popup', 'u_arcade_pm', 'u_arcade_resolution', 'u_arcade_search', 'u_arcade_view_whoisplaying', 'u_arcade_viewstats')),
				array('ROLE_USER_NOPM'		, array('u_arcade', 'u_arcade_challenge', 'u_arcade_download', 'u_arcade_favorites', 'u_arcade_popup', 'u_arcade_pm', 'u_arcade_resolution', 'u_arcade_search', 'u_arcade_view_whoisplaying', 'u_arcade_viewstats')),
				array('ROLE_USER_NOAVATAR'	, array('u_arcade', 'u_arcade_challenge', 'u_arcade_download', 'u_arcade_favorites', 'u_arcade_popup', 'u_arcade_pm', 'u_arcade_resolution', 'u_arcade_search', 'u_arcade_view_whoisplaying', 'u_arcade_viewstats')),
				array('ROLE_USER_NEW_MEMBER', array('u_arcade', 'u_arcade_challenge', 'u_arcade_pm', 'u_arcade_search', 'u_arcade_view_whoisplaying', 'u_arcade_viewstats'))
			),
			'arcade'			=> array(
				array('ROLE_ARCADE_NOACCESS'			, 'c_', 'role', false),
				array('ROLE_ARCADE_FULL'				, array('c_', 'c_list', 'c_view', 'c_play', 'c_playfree', 'c_score', 'c_rate', 'c_re_rate', 'c_comment', 'c_report', 'c_download', 'c_ignorecontrol', 'c_ignoreflood_download', 'c_ignoreflood_play', 'c_challenge_playing_games', 'c_challenge_start_game_warning', 'c_downloadfree')),
				array('ROLE_ARCADE_LIMITED'				, array('c_', 'c_list', 'c_view', 'c_play', 'c_score')),
				array('ROLE_ARCADE_PLAYONLY'			, array('c_', 'c_list', 'c_view', 'c_play')),
				array('ROLE_ARCADE_STANDARD'			, array('c_', 'c_list', 'c_view', 'c_play', 'c_score', 'c_rate', 'c_comment', 'c_report')),
				array('ROLE_ARCADE_STANDARD_DOWNLOADS'	, array('c_', 'c_list', 'c_view', 'c_play', 'c_score', 'c_rate', 'c_comment', 'c_report', 'c_download')),
				array('ROLE_ARCADE_VIEWONLY'			, array('c_', 'c_list', 'c_view')),
			),
		),
	),
	'roles' => array(
		'phpbb'		=> array(),
		'arcade'	=> array(
			array('ROLE_ARCADE_NOACCESS'			, 'c_', 'ROLE_DESCRIPTION_ARCADE_NOACCESS'),
			array('ROLE_ARCADE_FULL'				, 'c_', 'ROLE_DESCRIPTION_ARCADE_FULL'),
			array('ROLE_ARCADE_LIMITED'				, 'c_', 'ROLE_DESCRIPTION_ARCADE_LIMITED'),
			array('ROLE_ARCADE_PLAYONLY'			, 'c_', 'ROLE_DESCRIPTION_ARCADE_PLAYONLY'),
			array('ROLE_ARCADE_STANDARD'			, 'c_', 'ROLE_DESCRIPTION_ARCADE_STANDARD'),
			array('ROLE_ARCADE_STANDARD_DOWNLOADS'	, 'c_', 'ROLE_DESCRIPTION_ARCADE_STANDARD_DOWNLOADS'),
			array('ROLE_ARCADE_VIEWONLY'			, 'c_', 'ROLE_DESCRIPTION_ARCADE_VIEWONLY'),
		),
	),
	'root_module' => array(
		array('acp', 0, array(
			'module_basename'	=> '',
			'module_enabled'	=> '1',
			'module_display'	=> '1',
			'module_langname'	=> 'ACP_CAT_ARCADE',
			'module_mode'		=> '',
			'module_auth'		=> ''
		))
	),
	'modules' => array(
		array('acp', 'ACP_CAT_ARCADE', array(
			'module_basename'	=> 'arcade_main',
			'module_enabled'	=> '1',
			'module_display'	=> '1',
			'module_langname'	=> 'ACP_ARCADE_MAIN_INDEX',
			'module_mode'		=> 'main',
			'module_auth'		=> ''
		)),
		array('acp', 'ACP_CAT_ARCADE', array(
			'module_basename'	=> '',
			'module_enabled'	=> '1',
			'module_display'	=> '1',
			'module_langname'	=> 'ACP_CAT_ARCADE_SETTINGS',
			'module_mode'		=> '',
			'module_auth'		=> ''
		)),
			array('acp', 'ACP_CAT_ARCADE_SETTINGS', array(
				'module_basename'	=> 'arcade_settings',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_SETTINGS_GENERAL',
				'module_mode'		=> 'settings',
				'module_auth'		=> 'acl_a_arcade_settings'
			)),
			array('acp', 'ACP_CAT_ARCADE_SETTINGS', array(
				'module_basename'	=> 'arcade_settings',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_SETTINGS_GAME',
				'module_mode'		=> 'game',
				'module_auth'		=> 'acl_a_arcade_settings'
			)),
			array('acp', 'ACP_CAT_ARCADE_SETTINGS', array(
				'module_basename'	=> 'arcade_settings',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_SETTINGS_CHALLENGE',
				'module_mode'		=> 'challenge',
				'module_auth'		=> 'acl_a_arcade_settings'
			)),
			array('acp', 'ACP_CAT_ARCADE_SETTINGS', array(
				'module_basename'	=> 'arcade_settings',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_SETTINGS_FEATURE',
				'module_mode'		=> 'feature',
				'module_auth'		=> 'acl_a_arcade_settings'
			)),
			array('acp', 'ACP_CAT_ARCADE_SETTINGS', array(
				'module_basename'	=> 'arcade_settings',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_SETTINGS_ARCADE_PAGE',
				'module_mode'		=> 'apage',
				'module_auth'		=> 'acl_a_arcade_settings'
			)),
			array('acp', 'ACP_CAT_ARCADE_SETTINGS', array(
				'module_basename'	=> 'arcade_settings',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_SETTINGS_CHALLENGE_PAGE',
				'module_mode'		=> 'cpage',
				'module_auth'		=> 'acl_a_arcade_settings'
			)),
			array('acp', 'ACP_CAT_ARCADE_SETTINGS', array(
				'module_basename'	=> 'arcade_settings',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_SETTINGS_PATH',
				'module_mode'		=> 'path',
				'module_auth'		=> 'acl_a_arcade_settings'
			)),
			array('acp', 'ACP_CAT_ARCADE_SETTINGS', array(
				'module_basename'	=> 'arcade_settings',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_SETTINGS_LOAD',
				'module_mode'		=> 'load',
				'module_auth'		=> 'acl_a_arcade && acl_a_arcade_settings'
			)),
		array('acp', 'ACP_CAT_ARCADE', array(
			'module_basename'	=> '',
			'module_enabled'	=> '1',
			'module_display'	=> '1',
			'module_langname'	=> 'ACP_CAT_ARCADE_MANAGE',
			'module_mode'		=> '',
			'module_auth'		=> ''
		)),
			array('acp', 'ACP_CAT_ARCADE_MANAGE', array(
				'module_basename'	=> 'arcade_manage',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_MANAGE_CATEGORIES',
				'module_mode'		=> 'category',
				'module_auth'		=> 'acl_a_arcade_cat'
			)),
			array('acp', 'ACP_CAT_ARCADE_MANAGE', array(
				'module_basename'	=> 'arcade_manage',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_MANAGE_GAMES',
				'module_mode'		=> 'games',
				'module_auth'		=> 'acl_a_arcade_game'
			)),
			array('acp', 'ACP_CAT_ARCADE_MANAGE', array(
				'module_basename'	=> 'arcade_manage',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_MANAGE_USERS',
				'module_mode'		=> 'users',
				'module_auth'		=> 'acl_a_arcade_user'
			)),
			array('acp', 'ACP_CAT_ARCADE_MANAGE', array(
				'module_basename'	=> 'arcade_manage',
				'module_enabled'	=> '0',
				'module_display'	=> '0',
				'module_langname'	=> 'ACP_ARCADE_MANAGE_CHALLENGES',
				'module_mode'		=> 'challenges',
				'module_auth'		=> 'acl_a_arcade_user'
			)),
		array('acp', 'ACP_CAT_ARCADE', array(
			'module_basename'	=> '',
			'module_enabled'	=> '1',
			'module_display'	=> '1',
			'module_langname'	=> 'ACP_CAT_ARCADE_PLUGIN',
			'module_mode'		=> '',
			'module_auth'		=> ''
		)),
			array('acp', 'ACP_CAT_ARCADE_PLUGIN', array(
				'module_basename'	=> 'arcade_plugin',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_PLUGIN_INSTALL',
				'module_mode'		=> 'install',
				'module_auth'		=> 'acl_a_arcade_plugin'
			)),
			array('acp', 'ACP_CAT_ARCADE_PLUGIN', array(
				'module_basename'	=> 'arcade_plugin',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_PLUGIN_MANAGE',
				'module_mode'		=> 'manage',
				'module_auth'		=> 'acl_a_arcade_plugin'
			)),
		array('acp', 'ACP_CAT_ARCADE', array(
			'module_basename'	=> '',
			'module_enabled'	=> '1',
			'module_display'	=> '1',
			'module_langname'	=> 'ACP_CAT_ARCADE_GAMES_FEATURE',
			'module_mode'		=> '',
			'module_auth'		=> ''
		)),
			array('acp', 'ACP_CAT_ARCADE_GAMES_FEATURE', array(
				'module_basename'	=> 'arcade_games',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_ADD_GAMES',
				'module_mode'		=> 'add_games',
				'module_auth'		=> 'acl_a_arcade_game'
			)),
			array('acp', 'ACP_CAT_ARCADE_GAMES_FEATURE', array(
				'module_basename'	=> 'arcade_games',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_UNPACK_GAMES',
				'module_mode'		=> 'unpack_games',
				'module_auth'		=> 'acl_a_arcade_game'
			)),
			array('acp', 'ACP_CAT_ARCADE_GAMES_FEATURE', array(
				'module_basename'	=> 'arcade_games',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_BACKUP_GAMES',
				'module_mode'		=> 'backup_games',
				'module_auth'		=> 'acl_a_arcade_backup'
			)),
			array('acp', 'ACP_CAT_ARCADE_GAMES_FEATURE', array(
				'module_basename'	=> 'arcade_games',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_DOWNLOADS_GAMES',
				'module_mode'		=> 'downloads_games',
				'module_auth'		=> 'acl_a_arcade_game'
			)),
		array('acp', 'ACP_CAT_ARCADE', array(
			'module_basename'	=> '',
			'module_enabled'	=> '1',
			'module_display'	=> '1',
			'module_langname'	=> 'ACP_CAT_ARCADE_UTILITIES',
			'module_mode'		=> '',
			'module_auth'		=> ''
		)),
			array('acp', 'ACP_CAT_ARCADE_UTILITIES', array(
				'module_basename'	=> 'arcade_utilities',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_UTILITIES_REPORTS',
				'module_mode'		=> 'reports',
				'module_auth'		=> 'acl_a_arcade_utilities'
			)),
			array('acp', 'ACP_CAT_ARCADE_UTILITIES', array(
				'module_basename'	=> 'arcade_utilities',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_UTILITIES_USERS_BANNED',
				'module_mode'		=> 'users_banned',
				'module_auth'		=> 'acl_a_arcade || acl_a_arcade_user'
			)),
			array('acp', 'ACP_CAT_ARCADE_UTILITIES', array(
				'module_basename'	=> 'arcade_utilities',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_UTILITIES_DOWNLOAD_STATS',
				'module_mode'		=> 'download_stats',
				'module_auth'		=> 'acl_a_arcade_utilities'
			)),
			array('acp', 'ACP_CAT_ARCADE_UTILITIES', array(
				'module_basename'	=> 'arcade_utilities',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_UTILITIES_GLOBAL_ANNOUNCE',
				'module_mode'		=> 'global_announce',
				'module_auth'		=> 'acl_a_arcade_utilities'
			)),
			array('acp', 'ACP_CAT_ARCADE_UTILITIES', array(
				'module_basename'	=> 'arcade_utilities',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_UTILITIES_CREATE_INSTALL',
				'module_mode'		=> 'create_install',
				'module_auth'		=> 'acl_a_arcade_utilities'
			)),
			array('acp', 'ACP_CAT_ARCADE_UTILITIES', array(
				'module_basename'	=> 'arcade_utilities',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_UTILITIES_USER_GUIDE',
				'module_mode'		=> 'user_guide',
				'module_auth'		=> ''
			)),
		array('acp', 'ACP_CAT_ARCADE', array(
			'module_basename'	=> '',
			'module_enabled'	=> '1',
			'module_display'	=> '1',
			'module_langname'	=> 'ACP_CAT_ARCADE_LOGS',
			'module_mode'		=> '',
			'module_auth'		=> ''
		)),
			array('acp', 'ACP_CAT_ARCADE_LOGS', array(
				'module_basename'	=> 'arcade_logs',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_LOGS_ADMIN',
				'module_mode'		=> 'admin',
				'module_auth'		=> 'acl_a_arcade_viewlogs'
			)),
			array('acp', 'ACP_CAT_ARCADE_LOGS', array(
				'module_basename'	=> 'arcade_logs',
				'module_enabled'	=> '0',
				'module_display'	=> '0',
				'module_langname'	=> 'ACP_ARCADE_LOGS_MOD',
				'module_mode'		=> 'mod',
				'module_auth'		=> 'acl_a_arcade_viewlogs'
			)),
			array('acp', 'ACP_CAT_ARCADE_LOGS', array(
				'module_basename'	=> 'arcade_logs',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_LOGS_USERS',
				'module_mode'		=> 'users',
				'module_auth'		=> 'acl_a_arcade_viewlogs'
			)),
			array('acp', 'ACP_CAT_ARCADE_LOGS', array(
				'module_basename'	=> 'arcade_logs',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_LOGS_CRITICAL',
				'module_mode'		=> 'critical',
				'module_auth'		=> 'acl_a_arcade_viewlogs'
			)),
		array('acp', 'ACP_CAT_ARCADE', array(
			'module_basename'	=> '',
			'module_enabled'	=> '1',
			'module_display'	=> '1',
			'module_langname'	=> 'ACP_CAT_ARCADE_PERMISSION_ROLES',
			'module_mode'		=> '',
			'module_auth'		=> ''
		)),
			array('acp', 'ACP_CAT_ARCADE_PERMISSION_ROLES', array(
				'module_basename'	=> 'arcade_permission_roles',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_CAT_ROLES',
				'module_mode'		=> 'cat_roles',
				'module_auth'		=> 'acl_a_cauth && acl_a_roles'
			)),
		array('acp', 'ACP_CAT_ARCADE', array(
			'module_basename'	=> '',
			'module_enabled'	=> '1',
			'module_display'	=> '1',
			'module_langname'	=> 'ACP_CAT_ARCADE_PERMISSIONS',
			'module_mode'		=> '',
			'module_auth'		=> ''
		)),
			array('acp', 'ACP_CAT_ARCADE_PERMISSIONS', array(
				'module_basename'	=> 'arcade_permissions',
				'module_enabled'	=> '1',
				'module_display'	=> '0',
				'module_langname'	=> 'ACP_ARCADE_PERMISSION_TRACE',
				'module_mode'		=> 'trace',
				'module_auth'		=> 'acl_a_viewauth'
			)),
			array('acp', 'ACP_CAT_ARCADE_PERMISSIONS', array(
				'module_basename'	=> 'arcade_permissions',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_CATEGORY_PERMISSIONS',
				'module_mode'		=> 'setting_category_local',
				'module_auth'		=> 'acl_a_cauth && (acl_a_authusers || acl_a_authgroups)'
			)),
			array('acp', 'ACP_CAT_ARCADE_PERMISSIONS', array(
				'module_basename'	=> 'arcade_permissions',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_USERS_CATEGORY_PERMISSIONS',
				'module_mode'		=> 'setting_user_local',
				'module_auth'		=> 'acl_a_authusers && acl_a_cauth'
			)),
			array('acp', 'ACP_CAT_ARCADE_PERMISSIONS', array(
				'module_basename'	=> 'arcade_permissions',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_GROUPS_CATEGORY_PERMISSIONS',
				'module_mode'		=> 'setting_group_local',
				'module_auth'		=> 'acl_a_authgroups && acl_a_cauth'
			)),
			array('acp', 'ACP_CAT_ARCADE_PERMISSIONS', array(
				'module_basename'	=> 'arcade_permissions',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_ARCADE_CATEGORY_PERMISSIONS_COPY',
				'module_mode'		=> 'setting_category_copy',
				'module_auth'		=> 'acl_a_cauth && acl_a_authusers && acl_a_authgroups'
			)),
		array('acp', 'ACP_CAT_ARCADE', array(
			'module_basename'	=> '',
			'module_enabled'	=> '1',
			'module_display'	=> '1',
			'module_langname'	=> 'ACP_CAT_ARCADE_PERMISSION_MASKS',
			'module_mode'		=> '',
			'module_auth'		=> ''
		)),
			array('acp', 'ACP_CAT_ARCADE_PERMISSION_MASKS', array(
				'module_basename'	=> 'arcade_permissions',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'ACP_VIEW_ARCADE_CATEGORY_PERMISSIONS',
				'module_mode'		=> 'view_category_local',
				'module_auth'		=> 'acl_a_viewauth'
			)),
		array('ucp', 0, array(
			'module_basename'	=> '',
			'module_enabled'	=> '1',
			'module_display'	=> '1',
			'module_langname'	=> 'UCP_CAT_ARCADE',
			'module_mode'		=> '',
			'module_auth'		=> ''
		)),
			array('ucp', 'UCP_CAT_ARCADE', array(
				'module_basename'	=> 'arcade',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'UCP_ARCADE_SETTINGS',
				'module_mode'		=> 'settings',
				'module_auth'		=> 'acl_u_arcade'
			)),
			array('ucp', 'UCP_CAT_ARCADE', array(
				'module_basename'	=> 'arcade',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'UCP_ARCADE_POST',
				'module_mode'		=> 'post',
				'module_auth'		=> 'acl_u_arcade'
			)),
			array('ucp', 'UCP_CAT_ARCADE', array(
				'module_basename'	=> 'arcade',
				'module_enabled'	=> '1',
				'module_display'	=> '1',
				'module_langname'	=> 'UCP_ARCADE_FAVORITES',
				'module_mode'		=> 'favorites',
				'module_auth'		=> 'acl_u_arcade && acl_u_arcade_favorites'
			)),
	),
	'phpbb_config'	=> array(
		array('arcade_install', '1'),
	),
	'config_data'	=> array(
		array('acp_items_per_page', 10),
		array('global_announce_enable', 0),
		array('announce_author', $user->data['username']),
		array('announce_forum', 0),
		array('announce_game', 0),
		array("announce_message", "[game_image]\n[b]Game Name:[/b] [game_name]\n[b]Game Description:[/b] [game_desc]\n[b]Game controller:[/b] [game_control]\n\n[game_link]\n[game_popup_link]\n[download_link]\n[stats_link]"),
		array('announce_subject', '[GAME RELEASE] [game_name]'),
		array('arcade_disable', 0),
		array('arcade_disable_msg', ''),
		array('arcade_flash_highscores', 10),
		array('arcade_flash_intro', 1),
		array('arcade_flash_logo', ''),
		array('arcade_leaders', 5),
		array('arcade_leaders_header', 3),
		array('arcade_resetdate', 0),
		array('arcade_startdate', time()),
		array('auto_disable', 0),
		array('auto_disable_end', ''),
		array('auto_disable_start', ''),
		array('backup_limit', 50),
		array('ban_user_ip', 1),
		array('cache_time', 4),
		array('cat_backup_path', 'arcade/backup/'),
		array('cat_image_path', 'arcade/images/cats/'),
		array('cat_leaders', 5),
		array('cat_least_downloaded', 5),
		array('cat_least_popular', 5),
		array('cat_least_played_users', 5),
		array('cat_most_played_users', 5),
		array('cat_longest_held_scores', 5),
		array('cat_most_downloaded', 5),
		array('cat_most_popular', 5),
		array('cat_style', 0),
		array('challenge_acc_exp_date', 604800),
		array('challenge_disable', 0),
		array('challenge_disable_msg', ''),
		array('challenge_info_box', 1),
		array('challenge_least_popular', 5),
		array('challenge_latest_winners', 5),
		array('challenge_least_played_users', 5),
		array('challenge_most_played_users', 5),
		array('challenge_leaders', 5),
		array('challenge_leaders_header', 3),
		array('challenge_links_index', 1),
		array('challenge_links_stats', 1),
		array('challenge_most_popular', 5),
		array('challenge_ong_exp_date', 1209600),
		array('challenge_bet_Minimum', 0),
		array('challenge_bet_Maximum', 0),
		array('challenge_bet_fix', 0),
		array('challenge_exp_last_gc', time(), true),
		array('challenge_users_select', 1),
		array('challenge_resetdate', time()),
		array('challenge_top_games_header', 10),
		array('challenge_total_plays', 0, true),
		array('challenge_total_plays_time', 0, true),
		array('challenge_welcome_index', 1),
		array('challenge_welcome_stats', 1),
		array('champion_proces_limit', 250),
		array('cm_currency_id', 0),
		array('copyright', $arcade_mod_config['copyright']),
		array('corrupt_score_banned', 0),
		array('display_desc', 1),
		array('display_game_control', 1),
		array('display_game_type', 1),
		array('display_memberlist', 1),
		array('display_viewtopic', 1),
		array('display_game_image', 1),
		array('display_user_avatar', 1),
		array('display_game_popup_icon', 1),
		array('download_anonymous_interval', 0),
		array('download_interval', 0),
		array('download_list', 0),
		array('download_list_message', ''),
		array('download_list_per_page', 50),
		array('download_on_demand', 1),
		array('download_file_type', ''),
		array('download_per_day', 0),
		array('enable_image_link', 1),
		array('enable_user_avatar_link', 1),
		array('flash_version', '11.0.0.0'),
		array('founder_exempt', 0),
		array('game_autosize', 1),
		array('game_comment', 1),
		array('game_cost', 0),
		array('game_download_cost', 0),
		array('game_height', 0),
		array('game_path', 'arcade/games/'),
		array('game_reward', 0),
		array('game_scores', 5),
		array('game_width', 0),
		array('game_zero_negative_score', 0),
		array('games_per_page', 10),
		array('games_sort_dir', 'd'),
		array('games_sort_order', 'd'),
		array('gamename_maxchars', 12),
		array('game_desc_parse_html', 0),
		array('gc_time', 3600),
		array('image_path', 'arcade/images/'),
		array('jackpot_Maximum', 0),
		array('jackpot_Minimum', 0),
		array('latest_highscores', 5),
		array('least_downloaded', 5),
		array('least_played_users', 5),
		array('least_popular', 5),
		array('least_jackpot', 5),
		array('least_users_playtime', 5),
		array('limit_play', 0),
		array('limit_play_days', 7),
		array('limit_play_posts', 10),
		array('limit_play_total_posts', 10),
		array('links_cats', 1),
		array('links_index', 1),
		array('links_stats', 1),
		array('load_list', 0),
		array('longest_held_scores', 5),
		array('most_downloaded', 5),
		array('most_played_users', 5),
		array('most_popular', 5),
		array('most_jackpot', 5),
		array('most_users_playtime', 5),
		array('new_games_delay', 5),
		array('newest_games', 10),
		array('online_time', 0),
		array('override_user_sort', 0),
		array('parse_bbcode', 1),
		array('parse_links', 1),
		array('parse_smilies', 1),
		array('play_anonymous_interval', 0),
		array('playfree_reward', 0),
		array('play_interval', 0),
		array('played_colour', ''),
		array('protect_amod', 1),
		array('protect_phpbbarcade', 1),
		array('protect_v3arcade', 1),
		array('record_playing_date', time(), true),
		array('record_playing_users', 0, true),
		array('reports_open', 0),
		array('resolution_select', 1),
		array('score_form_token_lifetime', 15),
		array('score_security_level', 2),
		array('search_anonymous_interval', 0),
		array('search_cats', 1),
		array('search_filter_age', 0),
		array('search_filter_password', 0),
		array('search_index', 1),
		array('search_interval', 0),
		array('search_stats', 1),
		array('send_arcade_pm', 1),
		array('send_arcade_challenge_pm', 1),
		array('session_last_gc', time(), true),
		array('session_length', 72000),
		array('smilies_popup_height', 350),
		array('smilies_popup_width', 500),
		array('stat_items_per_page', 10),
		array('super_champion', 1),
		array('super_champion_avatar', 1),
		array('super_champion_avatar_width', 50),
		array('super_champion_avatar_height', 50),
		array('total_downloads', 0, true),
		array('total_plays', 0, true),
		array('total_plays_time', 0, true),
		array('unpack_game_path', 'arcade/install/'),
		array('use_jackpot', 0),
		array('use_points', 0),
		array('version', $arcade_mod_config['version']['current']),
		array('welcome_cats', 1),
		array('welcome_index', 1),
		array('welcome_stats', 1)
	),
	'schema_data'	=> $arcade_schema_data,
	'bbcodes'	=> array(
		'popup-game='	=> array(
			'bbcode_match'			=> '[popup-game={URL}, {NUMBER1}, {NUMBER2}]{INTTEXT}[/popup-game]',
			'bbcode_tpl'			=> '<a class="postlink" href="{URL}" onclick="arcade_popup_game(this.href, {NUMBER1}, {NUMBER2}); return false;">{INTTEXT}</a>',
			'bbcode_helpline'		=> '',
			'display_on_posting'	=> 0
		)
	),
);

$arcade_mod_config['verify'] = array(
	'files' 			=> array(
	'new_html_key'		=> '{L_ARCADE_LAST_PLAY}',
		'core'			=> array(
			'arcade.' . $phpEx,
			'newscore.' . $phpEx,
			'viewgame.' . $phpEx,
			'adm/style/arcade/acp_games.html',
			'adm/style/arcade/acp_global_announce.html',
			'adm/style/arcade/acp_logs.html',
			'adm/style/arcade/acp_main.html',
			'adm/style/arcade/acp_manage.html',
			'adm/style/arcade/acp_permissions.html',
			'adm/style/arcade/acp_plugin.html',
			'adm/style/arcade/acp_utilities.html',
			'adm/style/arcade/category_permission_copy.html',
			'adm/style/arcade/confirm_body.html',
			'adm/style/arcade/confirm_move_games.html',
			'adm/style/arcade/index.htm',
			'arcade/arcadelib/getHiScores.' . $phpEx,
			'arcade/arcadelib/ibproArcadeLib.conf',
			'arcade/arcadelib/score2.swf',
			'arcade/arcadelib/index.htm',
			'arcade/backup/.htaccess',
			'arcade/backup/index.htm',
			'arcade/gamedata/index.htm',
			'arcade/games/index.htm',
			'arcade/images/1st.gif',
			'arcade/images/2nd.gif',
			'arcade/images/3rd.gif',
			'arcade/images/trophy.gif',
			'arcade/images/add_favorite.png',
			'arcade/images/automatic.png',
			'arcade/images/big.png',
			'arcade/images/cat_desc.png',
			'arcade/images/cat_rules.png',
			'arcade/images/full_screen.png',
			'arcade/images/index.htm',
			'arcade/images/keyboard.png',
			'arcade/images/keyboard_mouse.png',
			'arcade/images/logo.png',
			'arcade/images/logo_transparent.png',
			'arcade/images/mouse.png',
			'arcade/images/new_game.gif',
			'arcade/images/no_image.png',
			'arcade/images/noavatar.gif',
			'arcade/images/open_close.png',
			'arcade/images/remove_favorite.png',
			'arcade/images/small.png',
			'arcade/images/spacer.gif',
			'arcade/images/star.png',
			'arcade/images/popup.png',
			'arcade/images/loading1.gif',
			'arcade/images/loading2.gif',
			'arcade/images/cats/index.htm',
			'arcade/includes/plugins/acp/info/index.htm',
			'arcade/includes/plugins/acp/index.htm',
			'arcade/includes/plugins/install/index.htm',
			'arcade/includes/plugins/index.htm',
			'arcade/includes/.htaccess',
			'arcade/includes/arcade.' . $phpEx,
			'arcade/includes/auth.' . $phpEx,
			'arcade/includes/auth_admin.' . $phpEx,
			'arcade/includes/cache.' . $phpEx,
			'arcade/includes/class.' . $phpEx,
			'arcade/includes/class_admin.' . $phpEx,
			'arcade/includes/class_challenge.' . $phpEx,
			'arcade/includes/class_install.' . $phpEx,
			'arcade/includes/constants.' . $phpEx,
			'arcade/includes/default_install_file.' . $phpEx,
			'arcade/includes/download.' . $phpEx,
			'arcade/includes/functions_files.' . $phpEx,
			'arcade/includes/game_install_file.' . $phpEx,
			'arcade/includes/games.' . $phpEx,
			'arcade/includes/index.htm',
			'arcade/includes/phpBBArcade.' . $phpEx,
			'arcade/includes/play.' . $phpEx,
			'arcade/includes/plugin.' . $phpEx,
			'arcade/includes/protect.' . $phpEx,
			'arcade/includes/reports.' . $phpEx,
			'arcade/includes/score.' . $phpEx,
			'arcade/includes/scoretype.' . $phpEx,
			'arcade/includes/session.' . $phpEx,
			'arcade/includes/stats.' . $phpEx,
			'arcade/includes/viewonline.' . $phpEx,
			'arcade/install/index.htm',
			'arcade/js/index.htm',
			'arcade/js/ajax.' . $phpEx,
			'arcade/js/arcade.js',
			'arcade/js/swfobject.js',
			'arcade/swf/arcade.swf',
			'arcade/swf/flash_player_update.swf',
			'arcade/swf/logo.swf',
			'arcade/swf/score.swf',
			'arcade/swf/.htaccess',
			'arcade/swf/index.htm',
			'arcade/xml/plugins/index.htm',
			'arcade/xml/index.htm',
			'arcade/xml/modx.prosilver.en.xsl',
			'arcade/index.htm',
			'games/index.htm',
			'includes/acp/acp_arcade_settings.' . $phpEx,
			'includes/acp/acp_arcade_main.' . $phpEx,
			'includes/acp/acp_arcade_games.' . $phpEx,
			'includes/acp/acp_arcade_logs.' . $phpEx,
			'includes/acp/acp_arcade_manage.' . $phpEx,
			'includes/acp/acp_arcade_permissions.' . $phpEx,
			'includes/acp/acp_arcade_permission_roles.' . $phpEx,
			'includes/acp/acp_arcade_plugin.' . $phpEx,
			'includes/acp/acp_arcade_utilities.' . $phpEx,
			'includes/acp/info/acp_arcade_settings.' . $phpEx,
			'includes/acp/info/acp_arcade_main.' . $phpEx,
			'includes/acp/info/acp_arcade_games.' . $phpEx,
			'includes/acp/info/acp_arcade_logs.' . $phpEx,
			'includes/acp/info/acp_arcade_manage.' . $phpEx,
			'includes/acp/info/acp_arcade_permissions.' . $phpEx,
			'includes/acp/info/acp_arcade_permission_roles.' . $phpEx,
			'includes/acp/info/acp_arcade_plugin.' . $phpEx,
			'includes/acp/info/acp_arcade_utilities.' . $phpEx,
			'includes/ucp/ucp_arcade.' . $phpEx,
			'includes/ucp/info/ucp_arcade.' . $phpEx,
		),
		'langs'			=> array(
			'language/{LANG_PATH}/mods/arcade/plugins/index.htm',
			'language/{LANG_PATH}/mods/arcade/arcade.' . $phpEx,
			'language/{LANG_PATH}/mods/arcade/index.htm',
			'language/{LANG_PATH}/mods/arcade/logs.' . $phpEx,
			'language/{LANG_PATH}/mods/help_arcade.' . $phpEx,
			'language/{LANG_PATH}/mods/info_acp_arcade.' . $phpEx,
			'language/{LANG_PATH}/mods/info_mcp_arcade.' . $phpEx,
			'language/{LANG_PATH}/mods/info_ucp_arcade.' . $phpEx,
			'language/{LANG_PATH}/mods/permissions_arcade.' . $phpEx
		),
		'styles'			=> array(
			'template'		=> array(
				'default'	=> array(
					'styles/{TEMP_PATH}/template/arcade/plugins/index.htm',
					'styles/{TEMP_PATH}/template/arcade/challenge_body.html',
					'styles/{TEMP_PATH}/template/arcade/download_body.html',
					'styles/{TEMP_PATH}/template/arcade/header_body.html',
					'styles/{TEMP_PATH}/template/arcade/index_body.html',
					'styles/{TEMP_PATH}/template/arcade/info_body.html',
					'styles/{TEMP_PATH}/template/arcade/jumpbox.html',
					'styles/{TEMP_PATH}/template/arcade/arcade_cat_body.html',
					'styles/{TEMP_PATH}/template/arcade/arcadelist_body.html',
					'styles/{TEMP_PATH}/template/arcade/login_cat.html',
					'styles/{TEMP_PATH}/template/arcade/online_body.html',
					'styles/{TEMP_PATH}/template/arcade/plugins.html',
					'styles/{TEMP_PATH}/template/arcade/play_body.html',
					'styles/{TEMP_PATH}/template/arcade/popup_body.html',
					'styles/{TEMP_PATH}/template/arcade/reports_body.html',
					'styles/{TEMP_PATH}/template/arcade/score_body.html',
					'styles/{TEMP_PATH}/template/arcade/script_body.html',
					'styles/{TEMP_PATH}/template/arcade/stats.html',
					'styles/{TEMP_PATH}/template/arcade/stats_body.html',
					'styles/{TEMP_PATH}/template/arcade/footer_body.html',
					'styles/{TEMP_PATH}/template/arcade/global_announce.html',
					'styles/{TEMP_PATH}/template/arcade/message_body.html',
					'styles/{TEMP_PATH}/template/arcade/index.htm',
					'styles/{TEMP_PATH}/template/arcade/ucp_settings.html',
					'styles/{TEMP_PATH}/template/arcade/ucp_post.html',
					'styles/{TEMP_PATH}/template/arcade/ucp_favorites.html',
				),
				'other'	=> array(
					'styles/{TEMP_PATH}/template/arcade/plugins/index.htm',
					'styles/{TEMP_PATH}/template/arcade/header_body.html',
					'styles/{TEMP_PATH}/template/arcade/stats_body.html',
					'styles/{TEMP_PATH}/template/arcade/index.htm',
				),
			),
			'theme'		=> array(
					'styles/{THEME_PATH}/theme/arcade.css',
					'styles/{THEME_PATH}/theme/images/icon_arcade.gif',
					'styles/{THEME_PATH}/theme/images/icon_arcade_challenge.gif',
					'styles/{THEME_PATH}/theme/images/arcade/star.png',
					'styles/{THEME_PATH}/theme/images/arcade/add_favorite.png',
					'styles/{THEME_PATH}/theme/images/arcade/cat_desc.png',
					'styles/{THEME_PATH}/theme/images/arcade/cat_rules.png',
					'styles/{THEME_PATH}/theme/images/arcade/remove_favorite.png',
					'styles/{THEME_PATH}/theme/images/arcade/loading1.gif',
					'styles/{THEME_PATH}/theme/images/arcade/loading2.gif',
					'styles/{THEME_PATH}/theme/images/arcade/open_close.png',
					'styles/{THEME_PATH}/theme/images/arcade/popup.png',
					'styles/{THEME_PATH}/theme/images/arcade/index.htm',
					'styles/{THEME_PATH}/theme/images/arcade/cats/index.htm',
			),
		),
	),
	'old_files'		=> array(
		'core'	=> array(
			'adm/style/arcade/confirm_delete_files.html',
			'adm/style/arcade/confirm_retain_super_champion.html',
			'adm/style/acp_arcade.html',
			'adm/style/acp_arcade_games.html',
			'adm/style/acp_arcade_global_announce.html',
			'adm/style/acp_arcade_logs.html',
			'adm/style/acp_arcade_main.html',
			'adm/style/acp_arcade_manage.html',
			'adm/style/acp_arcade_permissions.html',
			'adm/style/acp_arcade_utilities.html',
			'adm/style/acp_users_arcade.html',
			'adm/style/confirm_body_delete_arcade_games.html',
			'adm/style/confirm_body_move_arcade_games.html',
			'adm/style/permission_arcade_category_copy.html',
			'arcade/images/star1.gif',
			'arcade/images/star2.gif',
			'arcade/images/favorite.gif',
			'arcade/images/remove_favorite.gif',
			'arcade/images/facebook.gif',
			'arcade/images/twitter.gif',
			'arcade/includes/ajax.' . $phpEx,
			'arcade/includes/common.' . $phpEx,
			'arcade/includes/functions.' . $phpEx,
			'arcade/includes/startup.' . $phpEx,
			'arcade/arcadelib/arcadelogo.jpg',
			'includes/auth_arcade.' . $phpEx,
			'includes/acp/auth_arcade.' . $phpEx,
			'includes/acp/acp_arcade.' . $phpEx,
			'includes/acp/info/acp_arcade.' . $phpEx,
			'includes/arcade/arcade_admin_class.' . $phpEx,
			'includes/arcade/arcade_cache.' . $phpEx,
			'includes/arcade/arcade_class.' . $phpEx,
			'includes/arcade/arcade_common.' . $phpEx,
			'includes/arcade/arcade_constants.' . $phpEx,
			'includes/arcade/arcade_download.' . $phpEx,
			'includes/arcade/arcade_games.' . $phpEx,
			'includes/arcade/arcade_play.' . $phpEx,
			'includes/arcade/arcade_protect.' . $phpEx,
			'includes/arcade/arcade_reports.' . $phpEx,
			'includes/arcade/arcade_score.' . $phpEx,
			'includes/arcade/arcade_scoretype.' . $phpEx,
			'includes/arcade/arcade_stats.' . $phpEx,
			'includes/arcade/arcade_viewonline.' . $phpEx,
			'includes/arcade/functions_files.' . $phpEx,
			'includes/arcade/functions_arcade.' . $phpEx,
			'includes/arcade/swfobject.js',
			'includes/arcade/scoretype/ibpro.' . $phpEx,
			'includes/arcade/scoretype/ibprov3.' . $phpEx,
			'includes/arcade/scoretype/v3arcade.' . $phpEx,

			'adm/style/acp_arcade_challenge_main.html',
			'adm/style/acp_arcade_challenge_report.html',
			'arcade/challenge_menu/index.htm',
			'arcade/challenge_menu/en/chall_clear.swf',
			'arcade/challenge_menu/en/chall_dark.swf',
			'arcade/challenge_menu/en/chall_default.swf',
			'arcade/challenge_menu/en/chall_green.swf',
			'arcade/challenge_menu/en/index.htm',
			'arcade/challenge_menu/hu/chall_clear.swf',
			'arcade/challenge_menu/hu/chall_dark.swf',
			'arcade/challenge_menu/hu/chall_default.swf',
			'arcade/challenge_menu/hu/chall_green.swf',
			'arcade/challenge_menu/hu/index.htm',
			'includes/acp/info/acp_arcade_challenge.' . $phpEx,
			'includes/acp/acp_arcade_challenge.' . $phpEx,
			'includes/challenge/cache.' . $phpEx,
			'includes/challenge/common.' . $phpEx,
			'includes/challenge/constants.' . $phpEx,
			'includes/challenge/functions_admin.' . $phpEx,
			'includes/challenge/functions_arcade.' . $phpEx,
			'includes/challenge/functions_arcade_admin.' . $phpEx,
			'includes/challenge/functions_ca.' . $phpEx,
			'includes/challenge/functions_challenge.' . $phpEx,
			'includes/challenge/index.htm',
			'includes/challenge/report.' . $phpEx,
			'includes/challenge/stats.' . $phpEx,
			'includes/challenge/viewonline.' . $phpEx,
			'includes/ucp/info/ucp_arcade_challenge.' . $phpEx,
			'includes/ucp/ucp_arcade_challenge.' . $phpEx,
			'challenge.' . $phpEx,
		),
		'styles'			=> array(
			'template'		=> array(
				'default'	=> array(
					'styles/{TEMP_PATH}/template/arcade/arcade_version_body.html',
					'styles/{TEMP_PATH}/template/arcade/arcade_download_body.html',
					'styles/{TEMP_PATH}/template/arcade/arcade_header_body.html',
					'styles/{TEMP_PATH}/template/arcade/arcade_index_body.html',
					'styles/{TEMP_PATH}/template/arcade/arcade_info_body.html',
					'styles/{TEMP_PATH}/template/arcade/arcade_jumpbox.html',
					'styles/{TEMP_PATH}/template/arcade/arcade_list_body.html',
					'styles/{TEMP_PATH}/template/arcade/arcade_login_cat.html',
					'styles/{TEMP_PATH}/template/arcade/arcade_online_body.html',
					'styles/{TEMP_PATH}/template/arcade/arcade_play_body.html',
					'styles/{TEMP_PATH}/template/arcade/arcade_reports_body.html',
					'styles/{TEMP_PATH}/template/arcade/arcade_score_body.html',
					'styles/{TEMP_PATH}/template/arcade/arcade_stats_body.html',
					'styles/{TEMP_PATH}/template/ucp_arcade_favorites.html',
					'styles/{TEMP_PATH}/template/ucp_arcade_post.html',
					'styles/{TEMP_PATH}/template/ucp_arcade_settings.html',

					'styles/{TEMP_PATH}/template/challenge/challenge_body.html',
					'styles/{TEMP_PATH}/template/challenge/challenge_footer.html',
					'styles/{TEMP_PATH}/template/challenge/challenge_header.html',
					'styles/{TEMP_PATH}/template/challenge/challenge_index.html',
					'styles/{TEMP_PATH}/template/challenge/challenge_message.html',
					'styles/{TEMP_PATH}/template/challenge/challenge_options.html',
					'styles/{TEMP_PATH}/template/challenge/challenge_popup.html',
					'styles/{TEMP_PATH}/template/challenge/challenge_report.html',
					'styles/{TEMP_PATH}/template/challenge/challenge_stats.html',
					'styles/{TEMP_PATH}/template/challenge/index.htm',
					'styles/{TEMP_PATH}/template/ucp_arcade_challenge.html',
				),
				'other'	=> array(
					'styles/{TEMP_PATH}/template/arcade/arcade_header_body.html',
				),
			),
			'theme'		=> array(
					'styles/{THEME_PATH}/theme/images/icon_challenge.gif',
					'styles/{THEME_PATH}/theme/challenge.css',
			),
		),
		'langs'		=> array(
			'language/{LANG_PATH}/mods/arcade_challenge.' . $phpEx,
			'language/{LANG_PATH}/mods/info_acp_arcade_challenge.' . $phpEx,
			'language/{LANG_PATH}/mods/info_ucp_arcade_challenge.' . $phpEx,
			'language/{LANG_PATH}/mods/install_ultimate_challenge.' . $phpEx,
			'language/{LANG_PATH}/mods/permissions_challenge.' . $phpEx,
			'language/{LANG_PATH}/mods/arcade.' . $phpEx,
			'language/{LANG_PATH}/mods/arcade_install.' . $phpEx
		)
	),

// files edits
	'edits'	=> array(
		'core'		=> array(

// common.php edit
			'common.' . $phpEx => array(
				'if (!empty($config[\'arcade_install\']))
{
	include($phpbb_root_path . \'arcade/includes/phpBBArcade.\' . $phpEx);
	$arcade = new phpBBArcade(true);
}'),

// index.php edit
			'index.' . $phpEx => array(
				'if (class_exists(\'phpBBArcade\') && ($scoretype = $arcade->send_score()) !== false)
{
	include($phpbb_root_path . \'arcade/includes/scoretype.\' . $phpEx);
}'),

// memberlist.php edit
			'memberlist.' . $phpEx => array(
				'		if (class_exists(\'phpBBArcade\') && ($arcade_highscores = display_arcade(\'highscores\', array(\'memberlist\', $user_id))) !== false)
		{
			$template->assign_vars($arcade_highscores);
		}'),

// ucp.php edits
			'ucp.' . $phpEx => array(
				' . ((class_exists(\'phpBBArcade\')) ? $arcade->ghost_permissions($user_id, $user_row[\'username\']) : \'\')',
				'		if (class_exists(\'phpBBArcade\'))
		{
			$arcade->restore_perm();
		}'),

// viewonline.php edit
			'viewonline.' . $phpEx => array(
				'		case \'arcade\':
			include($phpbb_root_path . \'arcade/includes/viewonline.\' . $phpEx);
		break;'),

// viewtopic.php edits
			'viewtopic.' . $phpEx => array(
				'	if (class_exists(\'phpBBArcade\') && ($arcade_highscores = display_arcade(\'highscores\', array(\'viewtopic\', $poster_id))) !== false)
	{
		$postrow = array_merge($postrow, $arcade_highscores);
	}'),

// adm/style/admin.css edit
			'adm/style/admin.css' => array(
				'.arcade-userguide {
	font-size: 0.85em;
	padding-bottom: 5px;
	margin-bottom: 0.7em;
	line-height: 1.40em;
}

.arcade-userguide ul{
	margin-bottom: 0;
	padding-bottom: 0;
}

.arcade-userguide li{
	font-size: 1em;
}'),

// includes/auth.php edit
			'includes/auth.' . $phpEx => array(
				'		if (class_exists(\'phpBBArcade\'))
		{
			global $auth_arcade;
			$auth_arcade->acl_clear_prefetch($user_id);
		}'),

// includes/constants.php edit
			'includes/constants.' . $phpEx => array(
				'include($phpbb_root_path . \'arcade/includes/constants.\' . $phpEx);'),

// includes/functions.php edit
			'includes/functions.' . $phpEx => array(
			'	if (class_exists(\'phpBBArcade\'))
	{
		display_arcade(\'menu\');
	}'),

// includes/functions_privmsgs.php edits
			'includes/functions_privmsgs.' . $phpEx => array(
				'	global $arcade, $arcade_notifypm;',
				'		if (isset($arcade) && isset($arcade_notifypm))
		{
			$arcade->notifypm_check($row[\'user_id\'], $row[\'user_notify_pm\']);
		}'),

// includes/functions_user.php edits
			'includes/functions_user.' . $phpEx => array(
				'	if (class_exists(\'phpBBArcade\'))
	{
		global $arcade;
		$arcade->update_username($old_name, $new_name);
	}',
				'	$cache->destroy(\'sql\', ARCADE_CHALLENGE_CHAMP_TABLE);',
				'	if (class_exists(\'phpBBArcade\'))
	{
		phpBBArcade::user_add($user_id);
	}',
				'	if (class_exists(\'phpBBArcade\'))
	{
		arcade_delete_user($user_id);
	}',
				'	if (class_exists(\'phpBBArcade\'))
	{
		phpBBArcade::acl_group_delete($group_id);
	}',
				'		if (class_exists(\'phpBBArcade\'))
		{
			global $arcade;
			$arcade->update_user_colour($user_id_ary, $sql_ary[\'user_colour\']);
		}'),

// includes/ucp/ucp_profile.php edit
			'includes/ucp/ucp_profile.' . $phpEx => array(
				'							if (class_exists(\'phpBBArcade\'))
							{
								phpBBArcade::cache_purge(\'profile\');
							}'),

// includes/acp/acp_styles.php edit
			'includes/acp/acp_styles.' . $phpEx => array(
				'								if (class_exists(\'phpBBArcade\'))
								{
									phpBBArcade::cat_style_update($style_id);
								}',
				'				if (class_exists(\'phpBBArcade\'))
				{
					phpBBArcade::cat_style_update($style_id, $new_id);
				}'),

// includes/acp/acp_users.php edit
			'includes/acp/acp_users.' . $phpEx => array(
				'								if (class_exists(\'phpBBArcade\'))
								{
									phpBBArcade::cache_purge(\'user\');
								}',
				'							if (class_exists(\'phpBBArcade\'))
							{
								phpBBArcade::cache_purge(\'user\');
							}'),
		),

// langs files edits
		'langs'		=> array(

		),
// styles files edits
		'styles'		=> array(
			'prosilver'		=> array(
				'template'	=> array(
					// styles/prosilver/template/index_body.html edit
					'styles/prosilver/template/index_body.html' => array(
						'<!-- IF S_ARCADE_PLUGIN_TOP -->
	<!-- DEFINE $S_ARCADE_PLUGIN_POSITION = \'top\' -->
	<!-- INCLUDE arcade/plugins.html -->
<!-- ENDIF -->

<!-- INCLUDE forumlist_body.html -->

<!-- IF S_ARCADE_PLUGIN_BOTTOM -->
	<!-- DEFINE $S_ARCADE_PLUGIN_POSITION = \'bottom\' -->
	<!-- INCLUDE arcade/plugins.html -->
<!-- ENDIF -->',
						'<!-- IF S_ARCADE_PLUGIN_STAT -->
	<!-- DEFINE $S_ARCADE_PLUGIN_POSITION = \'stat\' -->
	<!-- INCLUDE arcade/plugins.html -->
<!-- ENDIF -->'),
					// styles/prosilver/template/memberlist_view.html edit
					'styles/prosilver/template/memberlist_view.html' => array(
						'			<!-- IF S_HAS_ARCADE_DISPLAY -->
				<dt>{L_ARCADE_HIGHSCORES}:</dt> <dd>{ARCADE_TOTAL_HIGHSCORES}<!-- IF S_ARCADE_STATS --> | <strong><a href="{U_ARCADE_STATS}">{L_ARCADE_VIEW_USERS_STATS}</a></strong><!-- ENDIF --></dd>
				<!-- IF S_HAS_ARCADE_CHALLENGE_DISPLAY -->
					<dt>{L_ARCADE_CHALLENGE_WINS}:</dt> <dd>{ARCADE_CHALLENGE_TOTAL_WINS}<!-- IF S_ARCADE_CHALLENGE_STATS --> | <strong><a href="{U_ARCADE_CHALLENGE_STATS}">{L_ARCADE_CHALLENGE_VIEW_USERS_STATS}</a></strong><!-- ENDIF --></dd>
				<!-- ENDIF -->
			<!-- ENDIF -->'),

					// styles/prosilver/template/overall_header.html edits
					'styles/prosilver/template/overall_header.html' => array(
						'<!-- INCLUDE arcade/script_body.html -->',
						'				<!-- IF S_DISPLAY_ARCADE -->
					<li class="icon-arcade"><a href="{U_ARCADE}" title="{L_ARCADE_EXPLAIN}">{L_ARCADE}</a></li>
					<!-- IF S_DISPLAY_ARCADE_CHALLENGE -->
						<li class="icon-arcade-challenge"><a href="{U_ARCADE_CHALLENGE}" title="{L_ARCADE_CHALLENGE_EXPLAIN}">{L_ARCADE_CHALLENGE}</a></li>
					<!-- ENDIF -->
				<!-- ENDIF -->',
						'<!-- INCLUDE arcade/info_body.html -->'),

					// styles/prosilver/template/simple_header.html edit
					'styles/prosilver/template/simple_header.html' => array(
						'<!-- INCLUDE arcade/script_body.html -->'),

					// styles/prosilver/template/viewtopic_body.html edit
					'styles/prosilver/template/viewtopic_body.html' => array(
						'		<!-- IF postrow.S_HAS_ARCADE_DISPLAY -->
			<dd><strong>{L_ARCADE_HIGHSCORES}:</strong> <!-- IF postrow.S_ARCADE_STATS --><a href="{postrow.U_ARCADE_STATS}">{postrow.ARCADE_TOTAL_HIGHSCORES}</a><!-- ELSE -->{postrow.ARCADE_TOTAL_HIGHSCORES}<!-- ENDIF --></dd>
			<!-- IF postrow.S_HAS_ARCADE_CHALLENGE_DISPLAY -->
				<dd><strong>{L_ARCADE_CHALLENGE_WINS}:</strong> <!-- IF postrow.S_ARCADE_CHALLENGE_STATS --><a href="{postrow.U_ARCADE_CHALLENGE_STATS}">{postrow.ARCADE_CHALLENGE_TOTAL_WINS}</a><!-- ELSE -->{postrow.ARCADE_CHALLENGE_TOTAL_WINS}<!-- ENDIF --></dd>
			<!-- ENDIF -->
		<!-- ENDIF -->'),
				),
				'theme'	=> array(
					// styles/prosilver/theme/bidi.css edit
						'styles/prosilver/theme/bidi.css' => array(
						'.rtl .icon-arcade, .rtl .icon-arcade-challenge,'),

					// styles/prosilver/theme/buttons.css edit
						'styles/prosilver/theme/buttons.css' => array(
						'.icon-arcade, .icon-arcade-challenge,'),

					// styles/prosilver/theme/colours.css edit
						'styles/prosilver/theme/colours.css' => array(
						'.icon-arcade					{ background-image: url("{T_THEME_PATH}/images/icon_arcade.gif"); }
.icon-arcade-challenge			{ background-image: url("{T_THEME_PATH}/images/icon_arcade_challenge.gif"); }'),
				),
			),

			'subsilver2'	=> array(
				'template'	=> array(
					// styles/subsilver2/template/index_body.html edit
					'styles/subsilver2/template/index_body.html' => array(
						'<!-- IF S_ARCADE_PLUGIN_TOP -->
	<!-- DEFINE $S_ARCADE_PLUGIN_POSITION = \'top\' -->
	<!-- INCLUDE arcade/plugins.html -->
<!-- ENDIF -->

<!-- INCLUDE forumlist_body.html -->

<!-- IF S_ARCADE_PLUGIN_BOTTOM -->
	<!-- DEFINE $S_ARCADE_PLUGIN_POSITION = \'bottom\' -->
	<!-- INCLUDE arcade/plugins.html -->
<!-- ENDIF -->',
						'<!-- IF S_ARCADE_PLUGIN_STAT -->
	<!-- DEFINE $S_ARCADE_PLUGIN_POSITION = \'stat\' -->
	<!-- INCLUDE arcade/plugins.html -->
<!-- ENDIF -->'),
					// styles/subsilver2/template/memberlist_view.html edit
					'styles/subsilver2/template/memberlist_view.html' => array(
						'			<!-- IF S_HAS_ARCADE_DISPLAY -->
				<tr>
					<td class="gen" align="{S_CONTENT_FLOW_END}" valign="top" nowrap="nowrap">{L_ARCADE_HIGHSCORES}: </td>
					<td><b class="gen">{ARCADE_TOTAL_HIGHSCORES}</b><!-- IF S_ARCADE_STATS --><span class="genmed"><br /><a href="{U_ARCADE_STATS}">[ {L_ARCADE_VIEW_USERS_STATS} ]</a></span><!-- ENDIF --></td>
				</tr>
				<!-- IF S_HAS_ARCADE_CHALLENGE_DISPLAY -->
					<tr>
						<td class="gen" align="{S_CONTENT_FLOW_END}" valign="top" nowrap="nowrap">{L_ARCADE_CHALLENGE_WINS}: </td>
						<td><b class="gen">{ARCADE_CHALLENGE_TOTAL_WINS}</b><!-- IF S_ARCADE_CHALLENGE_STATS --><span class="genmed"><br /><a href="{U_ARCADE_CHALLENGE_STATS}">[ {L_ARCADE_CHALLENGE_VIEW_USERS_STATS} ]</a></span><!-- ENDIF --></td>
					</tr>
				<!-- ENDIF -->
			<!-- ENDIF -->'),

					// styles/subsilver2/template/overall_header.html edits
					'styles/subsilver2/template/overall_header.html' => array(
						'<!-- INCLUDE arcade/script_body.html -->',
						'				<!-- IF S_DISPLAY_ARCADE -->
					<a href="{U_ARCADE}"><img src="{T_THEME_PATH}/images/icon_mini_arcade.gif" width="12" height="13" alt="*" /> {L_ARCADE}</a>&nbsp; &nbsp;
					<!-- IF S_DISPLAY_ARCADE_CHALLENGE -->
						<a href="{U_ARCADE_CHALLENGE}"><img src="{T_THEME_PATH}/images/icon_mini_arcade_challenge.gif" width="12" height="13" alt="*" /> {L_ARCADE_CHALLENGE}</a>&nbsp; &nbsp;
					<!-- ENDIF -->
				<!-- ENDIF -->',
						'<!-- INCLUDE arcade/info_body.html -->'),

					// styles/subsilver2/template/simple_header.html edit
					'styles/subsilver2/template/simple_header.html' => array(
						'<!-- INCLUDE arcade/script_body.html -->'),

					// styles/subsilver2/template/viewtopic_body.html edit
					'styles/subsilver2/template/viewtopic_body.html' => array(
						'					<!-- IF postrow.S_HAS_ARCADE_DISPLAY -->
						<br /><b>{L_ARCADE_HIGHSCORES}:</b> <!-- IF postrow.S_ARCADE_STATS --><a href="{postrow.U_ARCADE_STATS}">{postrow.ARCADE_TOTAL_HIGHSCORES}</a><!-- ELSE -->{postrow.ARCADE_TOTAL_HIGHSCORES}<!-- ENDIF -->
						<!-- IF postrow.S_HAS_ARCADE_CHALLENGE_DISPLAY -->
							<br /><b>{L_ARCADE_CHALLENGE_WINS}:</b> <!-- IF postrow.S_ARCADE_CHALLENGE_STATS --><a href="{postrow.U_ARCADE_CHALLENGE_STATS}">{postrow.ARCADE_CHALLENGE_TOTAL_WINS}</a><!-- ELSE -->{postrow.ARCADE_CHALLENGE_TOTAL_WINS}<!-- ENDIF -->
						<!-- ENDIF -->
					<!-- ENDIF -->'),
				),
				'theme'	=> array(

				),
			),

			'prosilver_se'	=> array(
				'template'	=> array(
					// styles/prosilver_se/template/overall_header.html edits
					'styles/prosilver_se/template/overall_header.html' => array(
						'<!-- INCLUDE arcade/script_body.html -->',
						'						<!-- IF S_DISPLAY_ARCADE -->
							<li class="icon-arcade"><a href="{U_ARCADE}" title="{L_ARCADE_EXPLAIN}">{L_ARCADE}</a></li>
							<!-- IF S_DISPLAY_ARCADE_CHALLENGE -->
								<li class="icon-arcade-challenge"><a href="{U_ARCADE_CHALLENGE}" title="{L_ARCADE_CHALLENGE_EXPLAIN}">{L_ARCADE_CHALLENGE}</a></li>
							<!-- ENDIF -->
						<!-- ENDIF -->',
						'<!-- INCLUDE arcade/info_body.html -->'),

					// styles/prosilver_se/template/simple_header.html edit
					'styles/prosilver_se/template/simple_header.html' => array(
						'<!-- INCLUDE arcade/script_body.html -->'),
				),
				'theme'	=> array(
					// styles/prosilver_se/theme/bidi.css edit
					'styles/prosilver_se/theme/bidi.css' => array(
						'.rtl .icon-arcade, .rtl .icon-arcade-challenge,'),

					// styles/prosilver_se/theme/buttons.css edit
					'styles/prosilver_se/theme/buttons.css' => array(
						'.icon-arcade, .icon-arcade-challenge,'),

					// styles/prosilver_se/theme/colours.css edit
					'styles/prosilver_se/theme/colours.css' => array(
						'.icon-arcade					{ background-image: url("{T_THEME_PATH}/images/icon_arcade.gif"); }
.icon-arcade-challenge			{ background-image: url("{T_THEME_PATH}/images/icon_arcade_challenge.gif"); }'),
				),
			),
			'other'			=> array(
				'template'	=> array(
					// styles/{TEMP_PATH}/template/index_body.html edit
					'styles/{TEMP_PATH}/template/index_body.html' => array(
						'<!-- IF S_ARCADE_PLUGIN_TOP -->',
						'<!-- IF S_ARCADE_PLUGIN_BOTTOM -->',
						'<!-- IF S_ARCADE_PLUGIN_STAT -->'
					),
					// styles/{TEMP_PATH}/template/memberlist_view.html edit
					'styles/{TEMP_PATH}/template/memberlist_view.html' => array(
						'{U_ARCADE_STATS}',
						'{U_ARCADE_CHALLENGE_STATS}'
					),
					// styles/{TEMP_PATH}/template/overall_header.html edit
					'styles/{TEMP_PATH}/template/overall_header.html' => array(
						'<!-- INCLUDE arcade/script_body.html -->',
						'{U_ARCADE}',
						'{U_ARCADE_CHALLENGE}',
						'<!-- INCLUDE arcade/info_body.html -->'
					),
					// styles/{TEMP_PATH}/template/simple_header.html edit
					'styles/{TEMP_PATH}/template/simple_header.html' => array(
						'<!-- INCLUDE arcade/script_body.html -->'
					),
					// styles/{TEMP_PATH}/template/viewtopic_body.html edit
					'styles/{TEMP_PATH}/template/viewtopic_body.html' => array(
						'{postrow.U_ARCADE_STATS}',
						'{postrow.U_ARCADE_CHALLENGE_STATS}'
					),
				),
				'theme'		=> array(
					// styles/{THEME_PATH}/theme/bidi.css edit
					'styles/{THEME_PATH}/theme/bidi.css' => array(
						'.rtl .icon-arcade',
						'.rtl .icon-arcade-challenge'
					),
					// styles/{THEME_PATH}/theme/buttons.css edit
					'styles/{THEME_PATH}/theme/buttons.css' => array(
						'.icon-arcade',
						'.icon-arcade-challenge'
					),
					// styles/{THEME_PATH}/theme/colours.css edit
					'styles/{THEME_PATH}/theme/colours.css' => array(
						'.icon-arcade',
						'.icon-arcade-challenge'
					),
				),
			),
		),
	),
	'modules'		=> array(
		'acp' => array('ACP_CAT_ARCADE', 'ACP_ARCADE_MAIN_INDEX', 'ACP_CAT_ARCADE_SETTINGS', 'ACP_ARCADE_SETTINGS_GENERAL', 'ACP_ARCADE_SETTINGS_GAME', 'ACP_ARCADE_SETTINGS_CHALLENGE', 'ACP_ARCADE_SETTINGS_FEATURE', 'ACP_ARCADE_SETTINGS_ARCADE_PAGE', 'ACP_ARCADE_SETTINGS_CHALLENGE_PAGE', 'ACP_ARCADE_SETTINGS_PATH', 'ACP_ARCADE_SETTINGS_LOAD', 'ACP_CAT_ARCADE_MANAGE', 'ACP_ARCADE_MANAGE_CATEGORIES', 'ACP_ARCADE_MANAGE_GAMES', 'ACP_ARCADE_MANAGE_USERS', 'ACP_ARCADE_MANAGE_CHALLENGES', 'ACP_CAT_ARCADE_PLUGIN', 'ACP_ARCADE_PLUGIN_INSTALL', 'ACP_ARCADE_PLUGIN_MANAGE', 'ACP_CAT_ARCADE_GAMES_FEATURE', 'ACP_ARCADE_ADD_GAMES', 'ACP_ARCADE_UNPACK_GAMES', 'ACP_ARCADE_BACKUP_GAMES', 'ACP_ARCADE_DOWNLOADS_GAMES', 'ACP_CAT_ARCADE_UTILITIES', 'ACP_ARCADE_UTILITIES_REPORTS', 'ACP_ARCADE_UTILITIES_USERS_BANNED', 'ACP_ARCADE_UTILITIES_DOWNLOAD_STATS', 'ACP_ARCADE_UTILITIES_GLOBAL_ANNOUNCE', 'ACP_ARCADE_UTILITIES_CREATE_INSTALL', 'ACP_ARCADE_UTILITIES_USER_GUIDE', 'ACP_CAT_ARCADE_LOGS', 'ACP_ARCADE_LOGS_ADMIN', 'ACP_ARCADE_LOGS_MOD', 'ACP_ARCADE_LOGS_USERS', 'ACP_ARCADE_LOGS_CRITICAL', 'ACP_CAT_ARCADE_PERMISSION_ROLES', 'ACP_ARCADE_CAT_ROLES', 'ACP_CAT_ARCADE_PERMISSIONS', 'ACP_ARCADE_PERMISSION_TRACE', 'ACP_ARCADE_CATEGORY_PERMISSIONS', 'ACP_ARCADE_USERS_CATEGORY_PERMISSIONS', 'ACP_ARCADE_GROUPS_CATEGORY_PERMISSIONS', 'ACP_ARCADE_CATEGORY_PERMISSIONS_COPY', 'ACP_CAT_ARCADE_PERMISSION_MASKS', 'ACP_VIEW_ARCADE_CATEGORY_PERMISSIONS'),
		'mcp' => array(),
		'ucp' => array('UCP_CAT_ARCADE', 'UCP_ARCADE_SETTINGS', 'UCP_ARCADE_POST', 'UCP_ARCADE_FAVORITES')
	),
	'alter_db' 		=> array(
		'current'	=> array(),
		'old'		=> array(
			USERS_TABLE						=> array('user_arcade_permissions', 'user_arcade_perm_from', 'user_arcade_pm', 'games_per_page', 'games_sort_dir', 'games_sort_order', 'user_challenge_on', 'user_challenge_pm_on', 'user_challenge_stat'),
			ARCADE_GAMES_TABLE				=> 'game_files',
			ARCADE_USERS_TABLE				=> 'user_arcade_pm',
			ARCADE_CHALLENGE_CHAMP_TABLE	=> 'champ_points'
		),
	),
);

?>