<?php
/**
*
* @package phpBB Arcade install
* @version $Id: arcade_dbal_schema.php 182 2013-01-06 01:40:35Z killbill $
* @copyright (c) 2008-2011 JRSweets - jrsweets@gmail.com
* @copyright (c) 2011-2013 http://phpbbarcade.jatek-vilag.com
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_INSTALL') || !defined('IN_PHPBB'))
{
	exit;
}

	$arcade_schema_data = array(
		ACL_ARCADE_GROUPS_TABLE				=> array(
			'COLUMNS'						=> array(
			'group_id'						=> array('UINT', 0),
			'cat_id'						=> array('UINT', 0),
			'auth_option_id'				=> array('UINT', 0),
			'auth_role_id'					=> array('UINT', 0),
			'auth_setting'					=> array('TINT:2', 0),
			),
			'KEYS'							=> array(
				'g_id'						=> array('INDEX', 'group_id'),
				'ao_id'						=> array('INDEX', 'auth_option_id'),
				'ar_id'						=> array('INDEX', 'auth_role_id')
			),
		),
		ACL_ARCADE_OPTIONS_TABLE			=> array(
			'COLUMNS'						=> array(
			'auth_option_id'				=> array('UINT', NULL, 'auto_increment'),
			'auth_option'					=> array('VCHAR:50', ''),
			'is_global'						=> array('BOOL', 0),
			'is_local'						=> array('BOOL', 0),
			'founder_only'					=> array('BOOL', 0),
			),
			'PRIMARY_KEY'					=> 'auth_option_id',
			'KEYS'							=> array(
				'ath_op'					=> array('UNIQUE', 'auth_option')
			),
		),
		ACL_ARCADE_ROLES_TABLE				=> array(
			'COLUMNS'						=> array(
			'role_id'						=> array('UINT', NULL, 'auto_increment'),
			'role_name'						=> array('VCHAR_UNI', ''),
			'role_description'				=> array('TEXT_UNI', ''),
			'role_type'						=> array('VCHAR:10', ''),
			'role_order'					=> array('USINT', 0),
			),
			'PRIMARY_KEY'					=> 'role_id',
			'KEYS'							=> array(
				'r_type'					=> array('INDEX', 'role_type'),
				'r_order'					=> array('INDEX', 'role_order')
			),
		),
		ACL_ARCADE_ROLES_DATA_TABLE			=> array(
			'COLUMNS'						=> array(
			'role_id'						=> array('UINT', 0),
			'auth_option_id'				=> array('UINT', 0),
			'auth_setting'					=> array('TINT:2', 0),
			),
			'PRIMARY_KEY'					=> array('role_id', 'auth_option_id'),
			'KEYS'							=> array(
				'aoi'						=> array('INDEX', 'auth_option_id')
			),
		),
		ACL_ARCADE_USERS_TABLE				=> array(
			'COLUMNS'						=> array(
			'user_id'						=> array('UINT', 0),
			'cat_id'						=> array('UINT', 0),
			'auth_option_id'				=> array('UINT', 0),
			'auth_role_id'					=> array('UINT', 0),
			'auth_setting'					=> array('TINT:2', 0),
			),
			'KEYS'							=> array(
				'user_id'					=> array('INDEX', 'user_id'),
				'ath_opid'					=> array('INDEX', 'auth_option_id'),
				'ath_roid'					=> array('INDEX', 'auth_role_id')
			),
		),
		ARCADE_ACCESS_TABLE					=> array(
			'COLUMNS'						=> array(
			'cat_id'						=> array('UINT', 0),
			'user_id'						=> array('UINT', 0),
			'session_id'					=> array('CHAR:32', ''),
			),
			'PRIMARY_KEY'					=> array('cat_id', 'user_id', 'session_id'),
		),
		ARCADE_CATS_TABLE					=> array(
			'COLUMNS'						=> array(
			'cat_id'						=> array('UINT', NULL, 'auto_increment'),
			'parent_id'						=> array('UINT', 0),
			'left_id'						=> array('UINT', 0),
			'right_id'						=> array('UINT', 0),
			'cat_parents'					=> array('MTEXT', ''),
			'cat_name'						=> array('STEXT_UNI', ''),
			'cat_desc'						=> array('TEXT_UNI', ''),
			'cat_desc_bitfield'				=> array('VCHAR:255', ''),
			'cat_desc_options'				=> array('UINT:11', 7),
			'cat_desc_uid'					=> array('VCHAR:8', ''),
			'cat_link'						=> array('VCHAR_UNI', ''),
			'cat_password'					=> array('VCHAR_UNI:40', ''),
			'cat_age'						=> array('TINT:2', 0),
			'cat_style'						=> array('USINT', 0),
			'cat_display'					=> array('USINT', 0),
			'cat_image'						=> array('VCHAR', ''),
			'cat_rules'						=> array('TEXT_UNI', ''),
			'cat_rules_link'				=> array('VCHAR_UNI', ''),
			'cat_rules_bitfield'			=> array('VCHAR:255', ''),
			'cat_rules_options'				=> array('UINT:11', 7),
			'cat_rules_uid'					=> array('VCHAR:8', ''),
			'cat_games_per_page'			=> array('TINT:4', 0),
			'cat_type'						=> array('TINT:4', 0),
			'cat_test'						=> array('BOOL', 0),
			'cat_status'					=> array('TINT:4', 0),
			'cat_games'						=> array('UINT', 0),
			'cat_plays'						=> array('UINT', 0),
			'cat_download'					=> array('TINT:1', 1),
			'cat_use_jackpot'				=> array('BOOL', 0),
			'cat_cost'						=> array('PDECIMAL:15', 0.00),
			'cat_download_cost'				=> array('PDECIMAL:15', 0.00),
			'cat_reward'					=> array('PDECIMAL:15', 0.00),
			'cat_last_play_game_id'			=> array('UINT', 0),
			'cat_last_play_game_name'		=> array('VCHAR_UNI', ''),
			'cat_last_play_user_id'			=> array('UINT', 0),
			'cat_last_play_score'			=> array('PDECIMAL:25', 0.00),
			'cat_last_play_time'			=> array('TIMESTAMP', 0),
			'cat_last_game_installdate'		=> array('TIMESTAMP', 0),
			'cat_last_play_username'		=> array('VCHAR_UNI', ''),
			'cat_last_play_user_colour'		=> array('VCHAR:6', ''),
			'cat_flags'						=> array('TINT:4', 32),
			'display_subcat_list'			=> array('BOOL', 1),
			'display_on_index'				=> array('BOOL', 1),
			),
			'PRIMARY_KEY'					=> 'cat_id',
			'KEYS'							=> array(
				'lr_id'						=> array('INDEX', array('left_id', 'right_id')),
				'clg_id'					=> array('INDEX', 'cat_last_play_game_id'),
				'status'					=> array('INDEX', 'cat_status'),
				'ctest'						=> array('INDEX', 'cat_test')
			),
		),
		ARCADE_CONFIG_TABLE					=> array(
			'COLUMNS'						=> array(
			'config_name'					=> array('VCHAR', ''),
			'config_value'					=> array('VCHAR_UNI', ''),
			'is_dynamic'					=> array('BOOL', 0),
			),
			'PRIMARY_KEY'					=> 'config_name',
			'KEYS'							=> array(
				'is_dynamic'				=> array('INDEX' , 'is_dynamic')
			),
		),
		ARCADE_DOWNLOAD_TABLE				=> array(
			'COLUMNS'						=> array(
			'user_id'						=> array('UINT', 0),
			'game_id'						=> array('UINT', 0),
			'total'							=> array('UINT', 0),
			'download_time'					=> array('TIMESTAMP', 0),
			),
			'PRIMARY_KEY'					=> array('user_id', 'game_id'),
		),
		ARCADE_LOGS_TABLE					=> array(
			'COLUMNS'						=> array(
			'log_id'						=> array('UINT', NULL, 'auto_increment'),
			'user_id'						=> array('UINT', 0),
			'cat_id'						=> array('UINT', 0),
			'game_id'						=> array('UINT', 0),
			'log_type'						=> array('TINT:2', 0),
			'log_time'						=> array('TIMESTAMP', 0),
			'log_operation'					=> array('TEXT_UNI', ''),
			'log_data'						=> array('MTEXT', ''),
			'log_ip'						=> array('VCHAR:40', ''),
			),
			'PRIMARY_KEY'					=> 'log_id',
			'KEYS'							=> array(
				'log_type'					=> array('INDEX' , 'log_type'),
				'cat_id'					=> array('INDEX' , 'cat_id'),
				'game_id'					=> array('INDEX' , 'game_id'),
				'user_id'					=> array('INDEX' , 'user_id')
			),
		),
		ARCADE_FAVS_TABLE					=> array(
			'COLUMNS'						=> array(
			'user_id'						=> array('UINT', 0),
			'game_id'						=> array('UINT', 0),
			),
			'PRIMARY_KEY'					=> array('user_id', 'game_id'),
		),
		ARCADE_GAMES_TABLE					=> array(
			'COLUMNS'						=> array(
			'game_id'						=> array('UINT', NULL, 'auto_increment'),
			'game_image'					=> array('VCHAR', ''),
			'game_desc'						=> array('TEXT', ''),
			'game_control'					=> array('TINT:1', 0),
			'game_control_desc'				=> array('TEXT', ''),
			'game_highscore'				=> array('PDECIMAL:25', 0.00),
			'game_highdate'					=> array('TIMESTAMP', 0),
			'game_highuser'					=> array('UINT', 0),
			'game_name'						=> array('VCHAR', ''),
			'game_name_clean'				=> array('VCHAR', ''),
			'game_swf'						=> array('VCHAR', ''),
			'game_scorevar'					=> array('VCHAR', ''),
			'game_type'						=> array('TINT:1', 0),
			'game_width'					=> array('UINT:5', 550),
			'game_height'					=> array('UINT:5', 380),
			'game_installdate'				=> array('TIMESTAMP', 0),
			'game_filesize'					=> array('UINT:20', 0),
			'game_scoretype'				=> array('TINT:1', 0),
			'game_order'					=> array('UINT', 0),
			'game_plays'					=> array('UINT', 0),
			'game_votetotal'				=> array('UINT', 0),
			'game_votesum'					=> array('UINT', 0),
			'game_download_total'			=> array('UINT', 0),
			'game_download'					=> array('TINT:1', 1),
			'game_cost'						=> array('PDECIMAL:15', 0.00),
			'game_download_cost'			=> array('PDECIMAL:15', 0.00),
			'game_reward'					=> array('PDECIMAL:15', 0.00),
			'game_use_jackpot'				=> array('BOOL', 0),
			'game_jackpot'					=> array('PDECIMAL:15', 0.00),
			'cat_id'						=> array('UINT', 0),
			),
			'PRIMARY_KEY'					=> 'game_id',
			'KEYS'							=> array(
				'highuser'					=> array('INDEX' , 'game_highuser'),
				'installdate'				=> array('INDEX' , 'game_installdate'),
				'highdate'					=> array('INDEX' , 'game_highdate'),
				'plays'						=> array('INDEX' , 'game_plays'),
				'downloads'					=> array('INDEX' , 'game_download_total')
			),
		),
		ARCADE_PLAYS_TABLE					=> array(
			'COLUMNS'						=> array(
			'game_id'						=> array('UINT', 0),
			'user_id'						=> array('UINT', 0),
			'total_time'					=> array('TIMESTAMP', 0),
			'total_plays'					=> array('UINT', 0),
			),
			'PRIMARY_KEY'					=> array('game_id', 'user_id'),
			'KEYS'							=> array(
				'user_id'					=> array('INDEX' , 'user_id')
			),
		),
		ARCADE_RATING_TABLE					=> array(
			'COLUMNS'						=> array(
			'game_id'						=> array('UINT', 0),
			'user_id'						=> array('UINT', 0),
			'game_rating'					=> array('UINT', 0),
			'rating_date'					=> array('TIMESTAMP', 0),
			'user_ip'						=> array('VCHAR:40', ''),
			),
			'PRIMARY_KEY'					=> array('game_id', 'user_id'),
		),
		ARCADE_REPORTS_TABLE				=> array(
			'COLUMNS'						=> array(
			'report_id'						=> array('UINT', NULL, 'auto_increment'),
			'user_id'						=> array('UINT', 0),
			'game_id'						=> array('UINT', 0),
			'report_type'					=> array('TINT:1', 0),
			'report_desc'					=> array('TEXT_UNI', ''),
			'report_desc_bitfield'			=> array('VCHAR:255', ''),
			'report_desc_options'			=> array('UINT:11', 7),
			'report_desc_uid'				=> array('VCHAR:8', ''),
			'report_time'					=> array('INT:11', 0),
			'report_ip'						=> array('VCHAR:40', ''),
			'report_closed'					=> array('TINT:1', 0),
			),
			'PRIMARY_KEY'					=> 'report_id',
		),
		ARCADE_SCORES_TABLE					=> array(
			'COLUMNS'						=> array(
			'game_id'						=> array('UINT', 0),
			'user_id'						=> array('UINT', 0),
			'score'							=> array('PDECIMAL:25', 0.00),
			'comment_text'					=> array('MTEXT', ''),
			'comment_bitfield'				=> array('VCHAR:255', ''),
			'comment_options'				=> array('UINT:11', 7),
			'comment_uid'					=> array('VCHAR:8', ''),
			'score_date'					=> array('TIMESTAMP', 0),
			),
			'PRIMARY_KEY'					=> array('game_id', 'user_id'),
		),
		ARCADE_SESSIONS_TABLE				=> array(
			'COLUMNS'						=> array(
			'session_id'					=> array('CHAR:32', ''),
			'game_id'						=> array('UINT', 0),
			'user_id'						=> array('UINT', 0),
			'game_type'						=> array('TINT:1', 0),
			'game_popup'					=> array('TINT:1', 0),
			'randchar1'						=> array('UINT', 0),
			'randchar2'						=> array('UINT', 0),
			'randgid1'						=> array('UINT', 0),
			'randgid2'						=> array('UINT', 0),
			'start_time'					=> array('TIMESTAMP', 0),
			'microtime'						=> array('TIMESTAMP', 0),
			'phpbb_session_id'				=> array('CHAR:32', ''),
			),
			'PRIMARY_KEY'					=> 'session_id',
			'KEYS'							=> array(
				'game_id'					=> array('INDEX' , 'game_id'),
				'phpbb_sid'					=> array('INDEX' , 'phpbb_session_id')
			),
		),
		ARCADE_USERS_TABLE					=> array(
			'COLUMNS'						=> array(
			'user_id'						=> array('UINT', 0),
			'user_arcade_permissions'		=> array('MTEXT', ''),
			'user_arcade_perm_from'			=> array('UINT', 0),
			'user_arcade_last_download'		=> array('TIMESTAMP', 0),
			'user_arcade_last_play'			=> array('TIMESTAMP', 0),
			'user_arcade_options'			=> array('UINT:11', 223),
			'games_last_search'				=> array('TIMESTAMP', 0),
			'games_last_search_term'		=> array('VCHAR:255', ''),
			'games_per_page'				=> array('USINT', 0),
			'games_sort_dir'				=> array('VCHAR_UNI:1', 'd'),
			'games_sort_order'				=> array('VCHAR_UNI:1', 'd'),
			),
			'PRIMARY_KEY'					=> 'user_id',
		),
		ARCADE_USERS_BANNED_TABLE			=> array(
			'COLUMNS'						=> array(
			'user_id'						=> array('UINT', 0),
			'banned_type'					=> array('TINT:1', 0),
			'banned_ip'						=> array('VCHAR:40', ''),
			'banned_date'					=> array('TIMESTAMP', 0),
			'game_id'						=> array('UINT', 0),
			'formtime'						=> array('UINT:11', 0),
			'score'							=> array('PDECIMAL:25', 0.00),
			),
			'PRIMARY_KEY'					=> 'user_id',
		),
		ARCADE_ANNOUNCE_TABLE				=> array(
			'COLUMNS'						=> array(
			'user_id'						=> array('UINT', 0),
			'username'						=> array('VCHAR:255', ''),
			'user_colour'					=> array('VCHAR:6', ''),
			'announce_author'				=> array('TINT:1', 0),
			'announce_anonym'				=> array('TINT:1', 0),
			'announce_scroll'				=> array('TINT:1', 0),
			'announce_title'				=> array('VCHAR:255', ''),
			'announce_text'					=> array('MTEXT', ''),
			'announce_bitfield'				=> array('VCHAR:255', ''),
			'announce_options'				=> array('UINT:11', 7),
			'announce_uid'					=> array('VCHAR:8', ''),
			'announce_date'					=> array('TIMESTAMP', 0),
			),
			'PRIMARY_KEY'					=> 'user_id',
		),
		ARCADE_SUPER_CHAMP_TABLE			=> array(
			'COLUMNS'						=> array(
			'game_id'						=> array('UINT', 0),
			'user_id'						=> array('UINT', 0),
			'score'							=> array('PDECIMAL:25', 0.00),
			'score_date'					=> array('TIMESTAMP', 0)
			),
			'PRIMARY_KEY'					=> 'game_id',
		),
		ARCADE_DELETE_GAMES_TABLE			=> array(
			'COLUMNS'						=> array(
			'game_swf'						=> array('VCHAR', ''),
			'uninstalldate'					=> array('TIMESTAMP', 0),
			),
			'PRIMARY_KEY'					=> 'game_swf',
		),
		ARCADE_PLUGINS_TABLE				=> array(
			'COLUMNS'						=> array(
			'plugin_id'						=> array('UINT', NULL, 'auto_increment'),
			'plugin_enabled'				=> array('TINT:1', 1),
			'plugin_name'					=> array('VCHAR:100', ''),
			'plugin_filename'				=> array('VCHAR:50', ''),
			'plugin_use'					=> array('TINT:1', 0),
			'plugin_page'					=> array('VCHAR:100', ''),
			'plugin_position'				=> array('TINT:1', 0),
			'plugin_version'				=> array('VCHAR:25', ''),
			'plugin_order'					=> array('UINT', 0),
			'plugin_date'					=> array('TIMESTAMP', 0),
			),
			'PRIMARY_KEY'					=> 'plugin_id',
		),
		ARCADE_CHALLENGE_TABLE				=> array(
			'COLUMNS'						=> array(
			'challenge_id'					=> array('UINT', NULL, 'auto_increment'),
			'challenge_accept'				=> array('TINT:1', 0),
			'challenge_points'				=> array('PDECIMAL:25', 0.000),
			//'challenge_bet'				=> array('PDECIMAL:25', 0.000),
			'challenger_id'					=> array('UINT', 0),
			'opponent_id'					=> array('UINT', 0),
			'game_id'						=> array('UINT', 0),
			'challenger_game_cost'			=> array('PDECIMAL:25', 0.000),
			'opponent_game_cost'			=> array('PDECIMAL:25', 0.000),
			'challenge_time'				=> array('TIMESTAMP', 0),
			//'expiration_date'				=> array('TIMESTAMP', 0),
			),
			'PRIMARY_KEY'					=> 'challenge_id',
			'KEYS'							=> array(
				'accept'					=> array('INDEX' , 'challenge_accept'),
				'chall_id'					=> array('INDEX' , 'challenger_id'),
				'opp_id'					=> array('INDEX' , 'opponent_id'),
				'game_id'					=> array('INDEX' , 'game_id')
			),
		),
		ARCADE_CHALLENGE_CHAMP_TABLE		=> array(
			'COLUMNS'						=> array(
			'champ_id'						=> array('UINT', NULL, 'auto_increment'),
			'champ_challenger_id'			=> array('UINT', 0),
			'champ_challenger_score'		=> array('PDECIMAL:25', 0.000),
			'champ_opponent_id'				=> array('UINT', 0),
			'champ_opponent_score'			=> array('PDECIMAL:25', 0.000),
			'game_id'						=> array('UINT', 0),
			'champ_winner'					=> array('UINT', 0),
			'champ_challenger_time'			=> array('TIMESTAMP', 0),
			'champ_opponent_time'			=> array('TIMESTAMP', 0),
			'champ_close'					=> array('TINT:1', 0),
			'champ_end_time'				=> array('TIMESTAMP', 0),
			),
			'PRIMARY_KEY'					=> 'champ_id',
			'KEYS'							=> array(
				'ci'						=> array('INDEX' , 'champ_challenger_id'),
				'oi'						=> array('INDEX' , 'champ_opponent_id'),
				'cg'						=> array('INDEX' , 'game_id'),
				'cw'						=> array('INDEX' , 'champ_winner'),
				'cc'						=> array('INDEX' , 'champ_close')
			),
		),
	);

?>