<?php
/**
*
* @package phpBB Arcade install
* @version $Id: arcade_ins_install.php 167 2013-01-02 14:11:03Z killbill $
* @copyright (c) 2008-2011 JRSweets - jrsweets@gmail.com
* @copyright (c) 2011-2013 http://phpbbarcade.jatek-vilag.com
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_INSTALL') || !defined('IN_PHPBB'))
{
	exit;
}

if (!empty($setmodules))
{
	if ($this->arcade_version)
	{
		return;
	}

	$module[] = array(
		'module_type'		=> 'install',
		'module_title'		=> 'INSTALL',
		'module_filename'	=> substr(basename(__FILE__), 0, -strlen($phpEx)-1),
		'module_order'		=> 10,
		'module_subs'		=> '',
		'module_stages'		=> array('INTRO', 'REQUIREMENTS', 'INSTALL'),
		'module_reqs'		=> ''
	);
}

class arcade_ins_install extends module
{
	function arcade_ins_install(&$p_master)
	{
		$this->p_master = &$p_master;
	}

	function main($mode, $sub)
	{
		global $user, $template;
		global $umil, $arcade_install, $arcade_mod_config;

		$this->tpl_name = 'install_install';

		switch ($sub)
		{
			case 'intro':
				$this->page_title = 'SUB_INTRO';

				$template->assign_vars(array(
					'U_ACTION'	=> $this->p_master->u_module("mode=$mode&amp;sub=requirements"),

					'TITLE'		=> $user->lang['ARCADE_INSTALL_INTRO'],
					'BODY'		=> $user->lang['ARCADE_INSTALL_INTRO_BODY'],
					'L_SUBMIT'	=> $user->lang['NEXT_STEP']
				));
			break;

			case 'requirements':
				$this->page_title = 'STAGE_REQUIREMENTS';
				$s_hidden_fields = build_hidden_fields(array('arcade' => true));
				$arcade_install->requirements($mode, $mode, $this->p_master->req, $this->p_master->u_module(), $s_hidden_fields);
			break;

			case 'install':
				if (isset($_POST['arcade']))
				{
					$this->page_title = 'STAGE_INSTALL_ARCADE';

					foreach ($arcade_mod_config['schema_data'] as $table_name => $table_data)
					{
						$umil->table_add($table_name, $table_data);
					}

					$umil->permission_add($arcade_mod_config['permission']['phpbb']);
					$umil->permission_set($arcade_mod_config['permission']['roles_set']['phpbb']);

					$umil->arcade_permission_add($arcade_mod_config['permission']['arcade']);
					$umil->arcade_permission_role_add($arcade_mod_config['roles']['arcade']);
					$umil->arcade_permission_set($arcade_mod_config['permission']['roles_set']['arcade']);

					$umil->module_add($arcade_mod_config['root_module']);
					$umil->module_add($arcade_mod_config['modules']);

					$arcade_install->add_bbcodes($arcade_mod_config['bbcodes']);

					$umil->config_add($arcade_mod_config['phpbb_config']);
					$umil->arcade_config_add($arcade_mod_config['config_data']);

					$umil->cache_purge(array('template', 'theme', 'imageset', 'auth', ''));

					add_log('admin', 'LOG_ARCADE_INSTALL', $arcade_mod_config['version']['current']);

					$perm_msg = '</p><div class="errorbox"><h3>' . $user->lang['WARNING'] . '</h3><p>' . $user->lang['PERMISSIONS_WARNING'] . '</p></div>';
					$donate_button = '<br /><a onclick="window.open(this.href); return false;" href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&amp;hosted_button_id=UA2VMFQD6GKFW"><img src="http://www.paypal.com/en_US/i/btn/btn_donateCC_LG.gif" alt="' . $user->lang['PHPBB_ARCADE_DONATE_TITLE'] . '" title="' . $user->lang['PHPBB_ARCADE_DONATE_TITLE'] . '" /></a>';
					$donate = '<div class="successbox"><h3>' . $user->lang['PHPBB_ARCADE_DONATE_TITLE'] . '</h3><p>' . $user->lang['PHPBB_ARCADE_DONATE'] . '</p><p>' . $donate_button . '</p></div>';

					$template->assign_vars(array(
						'U_ACTION'	=> $this->p_master->u_module('mode=verify&amp;sub=verify'),

						'TITLE'		=> $user->lang['INSTALL_CONGRATS'],
						'BODY'		=> $user->lang['STAGE_INSTALL_ARCADE_EXPLAIN'] . '<br /><br />' . $perm_msg . $donate . sprintf($user->lang['ARCADE_INSTALL_CONGRATS_EXPLAIN'], $arcade_mod_config['version']['current']),
						'L_SUBMIT'	=> $user->lang['CAT_VERIFY']
					));
				}
			break;
		}
	}
}

?>