<?php
/**
*
* @package phpBB Arcade install
* @version $Id: arcade_ins_main.php 182 2013-01-06 01:40:35Z killbill $
* @copyright (c) 2008-2011 JRSweets - jrsweets@gmail.com
* @copyright (c) 2011-2013 http://phpbbarcade.jatek-vilag.com
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_INSTALL') || !defined('IN_PHPBB'))
{
	exit;
}

if (!empty($setmodules))
{
	$module[] = array(
		'module_type'		=> 'install',
		'module_title'		=> 'OVERVIEW',
		'module_filename'	=> substr(basename(__FILE__), 0, -strlen($phpEx)-1),
		'module_order'		=> 0,
		'module_subs'		=> array('INTRO', 'LICENSE', 'SUPPORT'),
		'module_stages'		=> '',
		'module_reqs'		=> ''
	);
}

class arcade_ins_main extends module
{
	function arcade_ins_main(&$p_master)
	{
		$this->p_master = &$p_master;
	}

	function main($mode, $sub)
	{
		global $user, $template, $phpbb_root_path;

		switch ($sub)
		{
			case 'intro' :
				$title = 'SUB_INTRO';
				$body = $user->lang['ARCADE_OVERVIEW_BODY'];
			break;

			case 'license' :
				$title = 'GPL';
				$body = nl2br(utf8_htmlspecialchars(get_file_contents($phpbb_root_path . 'install/license.txt')));
			break;

			case 'support' :
				$title = 'SUB_SUPPORT';
				$body = $user->lang['ARCADE_SUPPORT_BODY'];
			break;
		}

		$this->tpl_name = 'install_main';
		$this->page_title = $title;

		$template->assign_vars(array(
			'TITLE'	=> $this->p_master->get_page_title(),
			'BODY'	=> $body
		));
	}
}

?>