<?php
/**
*
* @package phpBB Arcade install
* @version $Id: arcade_ins_uninstall.php 167 2013-01-02 14:11:03Z killbill $
* @copyright (c) 2008-2011 JRSweets - jrsweets@gmail.com
* @copyright (c) 2011-2013 http://phpbbarcade.jatek-vilag.com
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_INSTALL') || !defined('IN_PHPBB'))
{
	exit;
}

if (!empty($setmodules))
{
	if (!$this->arcade_version || (phpbb_version_compare($this->arcade_version, $arcade_mod_config['version']['current'], '<')))
	{
		return;
	}

	$module[] = array(
		'module_type'		=> 'install',
		'module_title'		=> 'UNINSTALL',
		'module_filename'	=> substr(basename(__FILE__), 0, -strlen($phpEx)-1),
		'module_order'		=> 30,
		'module_subs'		=> '',
		'module_stages'		=> array('INTRO', 'UNINSTALL'),
		'module_reqs'		=> ''
	);
}

class arcade_ins_uninstall extends module
{
	function arcade_ins_uninstall(&$p_master)
	{
		$this->p_master = &$p_master;
	}

	function main($mode, $sub)
	{
		global $user, $template, $phpEx, $phpbb_root_path;
		global $umil, $arcade_mod_config;

		$this->tpl_name = 'install_install';

		switch ($sub)
		{
			case 'intro':
				$this->page_title = 'SUB_INTRO';

				$template->assign_vars(array(
					'U_ACTION'	=> $this->p_master->u_module("mode=$mode&amp;sub=uninstall"),

					'S_HIDDEN'	=> build_hidden_fields(array('arcade' => true)),

					'TITLE'		=> $user->lang['ARCADE_UNINSTALL_INTRO'],
					'BODY'		=> $user->lang['ARCADE_UNINSTALL_INTRO_BODY'],
					'L_SUBMIT'	=> $user->lang['UNINSTALL_START']
				));

			break;

			case 'uninstall':
				if (isset($_POST['arcade']))
				{
					$this->page_title = 'STAGE_UNINSTALL_ARCADE';

					$umil->permission_unset($arcade_mod_config['permission']['roles_set']['phpbb']);
					$umil->permission_remove($arcade_mod_config['permission']['phpbb']);
					$umil->module_remove(array_reverse($arcade_mod_config['modules']));
					$umil->module_remove($arcade_mod_config['root_module']);
					$umil->config_remove($arcade_mod_config['phpbb_config']);
					$umil->table_remove(array_keys($arcade_mod_config['schema_data']));
					$umil->cache_purge(array('template', 'theme', 'imageset', 'auth', ''));

					add_log('admin', 'LOG_ARCADE_UNINSTALL', $this->p_master->arcade_version);

					$template->assign_vars(array(
						'U_ACTION'	=> append_sid("{$phpbb_root_path}adm/index.$phpEx", false, true, $user->session_id),

						'TITLE'		=> $user->lang['STAGE_UNINSTALL_ARCADE'],
						'BODY'		=> $user->lang['STAGE_UNINSTALL_ARCADE_EXPLAIN'] . '<br /><br />' . sprintf($user->lang['UNINSTALL_CONGRATS_EXPLAIN'], $this->p_master->arcade_version),
						'L_SUBMIT'	=> $user->lang['INSTALL_LOGIN']
					));
				}
			break;
		}
	}
}

?>