<?php
/**
*
* arcade_install [English]
*
* @package phpBB Arcade language
* @version $Id: install.php 179 2013-01-06 00:57:30Z killbill $
* @copyright (c) 2008-2011 JRSweets - jrsweets@gmail.com
* @copyright (c) 2011-2013 http://phpbbarcade.jatek-vilag.com
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
// Some characters you may want to copy&paste: ’ » “ ” …

$lang = array_merge($lang, array(
	'ARCADE_AUTH_SYNC_START'				=> 'Start permissions synchronization',
	'ARCADE_BBCODE_REQUIRED'				=> 'BBCode',
	'ARCADE_BBCODE_REQUIRED_EXPLAIN'		=> '<strong>Required</strong> - add some BBCode to make the Arcade work properly.',
	'ARCADE_CONFIG_ADD'						=> 'Adding new arcade config variable: %s',
	'ARCADE_CONFIG_ALREADY_EXISTS'			=> 'ERROR: Arcade config variable %s already exists.',
	'ARCADE_CONFIG_NOT_EXIST'				=> 'ERROR: Arcade config variable %s does not exist.',
	'ARCADE_CONFIG_REMOVE'					=> 'Removing arcade config variable: %s',
	'ARCADE_CONFIG_UPDATE'					=> 'Updating arcade config variable: %s',
	'ARCADE_FILES_REQUIRED'					=> 'Files and Directories',
	'ARCADE_FILES_REQUIRED_EXPLAIN'			=> '<strong>Required</strong> - In order to function correctly phpBB Arcade needs to be able to access or write to certain files or directories. If you see “Cannot find” you need to create the relevant file or directory. If you see “Unwritable” you need to change the permissions on the file or directory to allow phpBB Arcade to write to it.',
	'ARCADE_INSTALL_CHECK'					=> 'Installation check',
	'ARCADE_INSTALL_CONGRATS_EXPLAIN'		=> '		<p>You have now successfully installed phpBB Arcade %1$s.</p>
		<p>Clicking the button below will verify that the phpBB Arcade was installed correctly.</p>
		<p><strong>Once that is complete please delete, move or rename the install directory before you use your board. If this directory is still present, only the Administration Control Panel (ACP) will be accessible.</strong>',
	'ARCADE_INSTALL_INTRO'					=> 'Welcome to phpBB Arcade Installation',
	'ARCADE_INSTALL_INTRO_BODY'				=> 'With this option, it is possible to install phpBB Arcade to your database.',
	'ARCADE_NEXT_DB_UPDATE'					=> 'Continue to arcade database update',
	'ARCADE_OVERVIEW_BODY'					=> 'Welcome to phpBB Arcade!<br /><br />phpBB Arcade is feature-rich, user-friendly, and is fully supported.<br /><br />This installation system will guide you through installing phpBB Arcade, updating to the latest version of phpBB Arcade from past releases, uninstalling phpBB Arcade and verifying phpBB Arcade is installed correctly. To read the phpBB Arcade license or learn about obtaining support and our stance on it, please select the respective options from the side menu. To continue, please select the appropriate tab above.',
	'ARCADE_PERMISSION_ADD'					=> 'Adding new arcade permission option: %s',
	'ARCADE_PERMISSION_ALREADY_EXISTS'		=> 'ERROR: Arcade permission option %s already exists.',
	'ARCADE_PERMISSION_NOT_EXIST'			=> 'ERROR: Arcade permission option %s does not exist.',
	'ARCADE_PERMISSION_REMOVE'				=> 'Removing arcade permission option: %s',
	'ARCADE_PERMISSION_ROLE_ADD'			=> 'Adding new arcade permission role: %s',
	'ARCADE_PERMISSION_ROLE_REMOVE'			=> 'Removing arcade permission role: %s',
	'ARCADE_PERMISSION_ROLE_UPDATE'			=> 'Updating arcade permission role: %s',
	'ARCADE_PERMISSION_SET_GROUP'			=> 'Setting arcade permissions for the %s group.',
	'ARCADE_PERMISSION_SET_ROLE'			=> 'Setting arcade permissions for the %s role.',
	'ARCADE_PERMISSION_UNSET_GROUP'			=> 'Unsetting arcade permissions for the %s group.',
	'ARCADE_PERMISSION_UNSET_ROLE'			=> 'Unsetting arcade permissions for the %s role.',
	'ARCADE_PHP_URL_FOPEN_SUPPORT_EXPLAIN'	=> '<strong>Optional</strong> - This setting is optional, however it is recommended that this is enabled if you want to use the download games module in the acp.',
	'ARCADE_ROLE_ALREADY_EXISTS'			=> 'Arcade permission role already exists.',
	'ARCADE_ROLE_NOT_EXIST'					=> 'Arcade permission role does not exist',
	'ARCADE_SUPPORT_BODY'					=> 'Full support will be provided for the current stable and development release of phpBB Arcade, free of charge. This includes:</p><ul><li>installation</li><li>configuration</li><li>technical questions</li><li>problems relating to potential bugs in the phpBB Arcade</li><li>updating from older versions to the latest version</li></ul><p>We encourage users still running older versions of phpBB Arcade to update their installation to the latest version.</p><h2>Obtaining Support</h2><p><a href="http://phpbbarcade.jatek-vilag.com/viewforum.php?f=5">Main Development Site</a><br /><a href="http://www.phpbb.com/community/viewtopic.php?p=13034634#p13034634">phpBB.com Development Topic</a><br /><a href="http://phpbbarcade.jatek-vilag.com/faq.php?mode=arcade">User guide (also located inside phpBB Arcade ACP)</a><br /><br />',
	'ARCADE_TOTAL_INSTALL_GAMES'			=> 'Total installed games: <strong>%s</strong>',
	'ARCADE_UMIL_DOWNLOAD'					=> 'Please download the latest UMIL (Unified MOD Install Library) from: %s',
	'ARCADE_UNINSTALL_INTRO'				=> 'Welcome to phpBB Arcade Uninstallation',
	'ARCADE_UNINSTALL_INTRO_BODY'			=> 'With this option, it is possible to uninstall phpBB Arcade from your database.',
	'ARCADE_UPDATE_CHECK'					=> 'Update verify',

	'CAT_CONVERT_FILE'						=> 'Game installation files to convert',
	'CAT_UNINSTALL'							=> 'Uninstall',
	'CAT_VERIFY'							=> 'Verify',
	'CHALLENGE_INSTRUCTIONS'				=> 'Before starting, you need to perform the instructions in the file <strong>“contrib/challenge/Update_Challenge_RC8.xml”</strong>.',
	'CONVERT_GAME_INSTALL_FILE'				=> 'Welcome to the phpBB Arcade game installation files conversion',
	'CONVERT_GAME_INSTALL_FILE_BODY'		=> 'Here you have the option to convert existing game installation files to the latest version.<br /><span style="color: #ff0000;">Warning:</span> Converting the game installation files will only succeed if the files can be written, so please make sure that the permissions are set correctly.',
	'CONVERT_GAME_INSTALL_FILE_END'			=> 'The conversion process is complete, you can see the results below.',
	'CONVERT_GAME_INSTALL_FILE_EXPLAIN'		=> 'Below you can see where we are in the conversion process. Please do not close your browser yet.',
	'CONVERT_GAME_INSTALL_FILE_PROCESSING'	=> 'Please wait...<br />%1$s<br />Currently processing game installation file %2$s of %3$s.',
	'CONVERT_GAME_INSTALL_FILE_START'		=> 'Start conversion',
	'CONVERT_TOTAL_GAME_INSTALL_FILES'		=> 'Converted files: <strong>%s</strong>',

	'GAME_INSTALL_FILES_ALREADY_CONVERTED'	=> 'Already converted files: <strong>%s</strong>',
	'GAME_INSTALL_FILES_NOT_FOUND'			=> 'Not found files: <strong>%s</strong>',
	'GAME_INSTALL_FILES_UNWRITABLE'			=> 'Not writable files: <strong>%s</strong>',
	'GAME_INSTALL_FILE_ERROR_LOG'			=> 'Any occurred errors have been logged.',

	'INCOMPLETE_FILES_UPLOAD'				=> 'The phpBB Arcade “%s” files have been uploaded incompletely. Please make sure to upload all files before running the installer.',
	'INCOMPLETE_FILE_EDITS'					=> 'The phpBB file edits required to install the arcade are missing. Please make sure to perform the file edits before running the installer.',
	'INCOMPLETE_LANG_ROWS'					=> 'Some changes to the language files are missing. Please apply them as described %sHERE%s.',
	'INST_ERR_AUTH'							=> 'Only the founder may access this page!',
	'INST_SQL_RESULTS'						=> 'SQL Statements Completed',

	'MODULE_ACP'							=> 'ACP Module',
	'MODULE_MCP'							=> 'MCP Module',
	'MODULE_UCP'							=> 'UCP Module',

	'NOT_INSTALL_DIR'						=> 'Cannot open the install folder!',
	'NOT_MODULE'							=> 'The installation modules are not available!',

	'PERMISSIONS_WARNING'					=> 'New permission settings have been added. Be sure to check your permission settings and see that they are as you would like them.',
	'PHPBB_ARCADE_CHALLENGE_VERSION'		=> 'phpBB Arcade Challenge version >= %s',
	'PHPBB_ARCADE_CHALLENGE_VERSION_EXP'	=> '<strong>Required</strong> - You must be running at least version %s of phpBB Arcade Challenge in order to continue this process.',
	'PHPBB_ARCADE_DONATE'					=> 'Please make a small donation to appreciate the hard work and many hours used to make the arcade.',
	'PHPBB_ARCADE_DONATE_TITLE'				=> 'phpBB Arcade donation',
	'PHPBB_ARCADE_PLUGIN_VERSION'			=> '%s<br />plugin version >= %2$s',
	'PHPBB_ARCADE_PLUGIN_VERSION_EXPLAIN'	=> '<strong>Required</strong> - You must be running at least version %2$s of “%1$s” in order to continue this process.',
	'PHPBB_ARCADE_VERSION'					=> 'phpBB Arcade version >= %s',
	'PHPBB_ARCADE_VERSION_EXPLAIN'			=> '<strong>Required</strong> - You must be running at least version %s of phpBB Arcade in order to continue this process.',
	'PHPBB_VERSION'							=> 'phpBB version >= %s',
	'PHPBB_VERSION_EXPLAIN'					=> '<strong>Required</strong> - You must be running at least version %s of phpBB in order to continue this process.',
	'PHP_CURL_SUPPORT'						=> 'PHP setting <var>curl</var> is installed',
	'PHP_CURL_SUPPORT_EXPLAIN'				=> '<strong>Optional</strong> - This setting is optional, however it is recommended that curl library is installed on your server if you want to use the download games module in the acp.',

	'REQUIREMENTS_INSTALL_EXPLAIN'			=> 'Before proceeding with the full installation, phpBB Arcade will carry out some tests on your server configuration and files to ensure that you are able to install and run phpBB Arcade. Please ensure you read through the results thoroughly and do not proceed until all the required tests are passed. If you wish to use any of the features depending on the optional tests, you should ensure that these tests are passed also.',
	'REQUIREMENTS_INSTALL_TITLE'			=> 'Installation compatibility',
	'REQUIREMENTS_UPDATE_EXPLAIN'			=> 'Before proceeding with the update to the latest version, phpBB Arcade will carry out some tests on your server configuration and files to ensure that you are able to update. Please ensure you read through the results thoroughly and do not proceed until all the required tests are passed. If you wish to use any of the features depending on the optional tests, you should ensure that these tests are passed also.',
	'REQUIREMENTS_UPDATE_TITLE'				=> 'Update compatibility',

	'STAGE_ARCADE_AUTH_SYNC'				=> 'Arcade permissions synchronization',
	'STAGE_ARCADE_AUTH_SYNC_SUCCESS'		=> 'The arcade permissions were synchronized successfully.',
	'STAGE_CONVERT_FILE'					=> 'Installation files to convert',
	'STAGE_INSTALL'							=> 'Install',
	'STAGE_INSTALL_ARCADE'					=> 'Installation of phpBB Arcade',
	'STAGE_INSTALL_ARCADE_EXPLAIN'			=> 'The database tables, modules, permissions and data used by phpBB Arcade have been created.',
	'STAGE_UNINSTALL'						=> 'Uninstall',
	'STAGE_UNINSTALL_ARCADE'				=> 'Uninstallation of phpBB Arcade',
	'STAGE_UNINSTALL_ARCADE_EXPLAIN'		=> 'The database tables, modules, permissions and data used by phpBB Arcade have been removed from the database. To complete the uninstallation you need to reverse all the file edits and remove all the files from your server.',
	'STAGE_UPDATE'							=> 'Update',
	'STAGE_UPDATE_ARCADE'					=> 'Update of phpBB Arcade',
	'STAGE_UPDATE_ARCADE_EXPLAIN'			=> 'Clicking the button below will verify if phpBB Arcade has been integrated properly.',
	'STAGE_VERIFY'							=> 'Verify',

	'UNINSTALL_CONGRATS_EXPLAIN'			=> '</p>
		<p>You have now successfully uninstalled phpBB Arcade %1$s.</p>
		<p>Clicking the button below will take you to your Administration Control Panel (ACP).</p>
		<p><strong>Please now delete, move or rename the install directory before you use your board. If this directory is still present, only the Administration Control Panel (ACP) will be accessible.</strong>',
	'UNINSTALL_START'						=> 'Start uninstall',
	'UPDATE_INTRO'							=> 'Welcome to phpBB Arcade Installation Update',
	'UPDATE_INTRO_BODY'						=> 'With this option, it is possible to update phpBB Arcade to the latest release.',
	'UPDATE_START'							=> 'Start update',

	'VERIFY_ALL_CONFIGS'					=> 'All config(s) found',
	'VERIFY_ALL_FILES'						=> 'All files found',
	'VERIFY_ALL_FILES_EDITED'				=> 'All files are edited',
	'VERIFY_ALL_MODULES'					=> 'All modules found',
	'VERIFY_ALL_PERMISSIONS'				=> 'All permissions found',
	'VERIFY_ALL_TABLES'						=> 'All tables found',
	'VERIFY_ARCADE_CONFIGS'					=> 'Checking if all arcade configs exist',
	'VERIFY_ARCADE_INSTALLATION_EXPLAIN'	=> 'This will check to make sure all the arcade is installed correctly.',
	'VERIFY_CONGRATS_EXPLAIN'				=> '</p>
		<p>You have now successfully verified the installation of phpBB Arcade %1$s.</p>
		<p>Clicking the button below will take you to your Administration Control Panel (ACP). Take some time to read the arcade user guide and examine the options available to you.</p>
		<p><strong>Please now delete, move or rename the install directory before you use your board. If this directory is still present, only the Administration Control Panel (ACP) will be accessible.</strong>',
	'VERIFY_ERRORS'							=> 'Unsuccessful!',
	'VERIFY_ERRORS_EXPLAIN'					=> '</p>
		<p>You have not successfully installed phpBB Arcade %s.</p>
		<p>Clicking the button below will take you back to verify the installation again.</p>
		<p><strong>Please check the reported errors below.</strong>',
	'VERIFY_FILES_EDITED'					=> 'Checking if files are edited',
	'VERIFY_FILES_EXIST'					=> 'Checking if files exist',
	'VERIFY_FOLDER_NOT_UPDATE'				=> 'The following folders/files were not uploaded or updated:<br />%s',
	'VERIFY_FOLDER_UPDATE'					=> 'Folders/files update',
	'VERIFY_INTRO'							=> 'Welcome to phpBB Arcade Installation Verfication',
	'VERIFY_INTRO_BODY'						=> 'With this option, it is possible to verify that phpBB Arcade is installed correctly onto your server.',
	'VERIFY_MISSING_CONFIGS'				=> 'The following config(s) were missing:<br />%s',
	'VERIFY_MISSING_FILES'					=> 'The following files were missing:<br />%s',
	'VERIFY_MISSING_FILES_EDITED'			=> 'The following files seem to not properly edited:<br />%s',
	'VERIFY_MISSING_MODULES'				=> 'The following modules were missing:<br />%s',
	'VERIFY_MISSING_PERMISSIONS'			=> 'The following permissions were missing:<br />%s',
	'VERIFY_MISSING_TABLES'					=> 'The following tables were missing:<br />%s',
	'VERIFY_MODULES'						=> 'Checking if all modules exist',
	'VERIFY_OLD_FILES'						=> 'Checking if old files exist',
	'VERIFY_OLD_FILES_PRESENT'				=> 'The following old files were found and should be removed:<br />%s',
	'VERIFY_OLD_OTHER_DB_DATA'				=> 'Checking old other db data (these should not exist anymore)',
	'VERIFY_OLD_TABLE_ALTERED'				=> 'The following columns are present in the %s table and should be removed:<br />%s',
	'VERIFY_OTHER_DB_DATA'					=> 'Checking other db data',
	'VERIFY_PERMISSIONS_ARCADE'				=> 'Checking if all arcade permissions exist',
	'VERIFY_PERMISSIONS_PHPBB'				=> 'Checking if all phpBB permissions exist',
	'VERIFY_PHPBB_CONFIGS'					=> 'Checking if all phpBB configs exist',
	'VERIFY_TABLES_EXIST'					=> 'Checking if tables exist',
	'VERIFY_TABLE_ALTERED'					=> '%s table correctly altered',
	'VERIFY_TABLE_NOT_ALTERED'				=> 'The following columns are missing from the %s table:<br />%s',
	'VERSION_SETTINGS'						=> 'Version Settings',

	'WELCOME_INSTALL'						=> 'Welcome to phpBB Arcade Installation',
));

?>