<?php
/**
*
* mcp arcade logs [English]
*
* @package phpBB Arcade language
* @version $Id: logs.php 179 2013-01-06 00:57:30Z killbill $
* @copyright (c) 2008-2011 JRSweets - jrsweets@gmail.com
* @copyright (c) 2011-2013 http://phpbbarcade.jatek-vilag.com
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
// Some characters you may want to copy&paste: ’ » “ ” …

//Arcade
$lang = array_merge($lang, array(
	'ARCADE_SCORE_ERR_GG'						=> 'incorrect game code received',
	'ARCADE_SCORE_ERR_GG_RANDCHAR'				=> 'game code not received',
	'ARCADE_SCORE_ERR_GS'						=> 'incorrect score code received',
	'ARCADE_SCORE_ERR_GS_GG_RANDCHAR'			=> 'game and score code not received',
	'ARCADE_SCORE_ERR_GS_RANDCHAR'				=> 'score code not received',
	'ARCADE_SCORE_ERR_MICRO_TIME'				=> 'exceeded the control time',
	'ARCADE_SCORE_ERR_PCH'						=> 'incorrect score variable code received',

	'LOG_ACL_ADD_CATEGORY_LOCAL_C_'				=> '<strong>Added or edited arcade category permissions</strong> from %1$s<br />» %2$s',
	'LOG_ACL_ADD_GROUP_LOCAL_C_'				=> '<strong>Added or edited groups’ arcade category access</strong> from %1$s<br />» %2$s',
	'LOG_ACL_ADD_USER_LOCAL_C_'					=> '<strong>Added or edited users’ arcade category access</strong> from %1$s<br />» %2$s',
	'LOG_ACL_ARCADE_RESTORE_PERMISSIONS'		=> '<strong>Own arcade permissions restored after using permissions from</strong><br />» %s',
	'LOG_ACL_ARCADE_TRANSFER_PERMISSIONS'		=> '<strong>Arcade permissions transferred from</strong><br />» %s',
	'LOG_ACL_DEL_CATEGORY_LOCAL_C_'				=> '<strong>Removed User/Group arcade category permissions</strong> from %1$s<br />» %2$s',
	'LOG_ARCADE_ADD_CAT'						=> '<strong>Created new arcade category</strong><br />» %s',
	'LOG_ARCADE_ADD_GAME'						=> '<strong>Added game</strong><br />» %s',
	'LOG_ARCADE_ADD_GAMES'						=> '<strong>Added games</strong><br />» %s',
	'LOG_ARCADE_APAGE'							=> '<strong>Altered arcade page settings</strong>',
	'LOG_ARCADE_BACKUP_CAT'						=> '<strong>Backed up arcade category</strong><br />» %s',
	'LOG_ARCADE_BACKUP_CATS'					=> '<strong>Backed up arcade categories</strong><br />» %s',
	'LOG_ARCADE_BACKUP_EMPTY'					=> '<strong>Emptied arcade backup directory</strong>',
	'LOG_ARCADE_CATEGORY_COPIED_PERMISSIONS'	=> '<strong>Copied category permissions</strong> from %1$s<br />» %2$s',
	'LOG_ARCADE_CAT_EDIT'						=> '<strong>Edited arcade category details</strong><br />» %s',
	'LOG_ARCADE_CHALLENGE'						=> '<strong>Altered arcade challenge settings</strong>',
	'LOG_ARCADE_CLEAR_ADMIN_LOG'				=> '<strong>Cleared admin log</strong>',
	'LOG_ARCADE_CLEAR_ALL_USERS_BANNED'			=> '<strong>Arcade unbanned all users</strong>',
	'LOG_ARCADE_CLEAR_CRITICAL_LOG'				=> '<strong>Cleared error log</strong>',
	'LOG_ARCADE_CLEAR_MOD_LOG'					=> '<strong>Cleared moderator log</strong>',
	'LOG_ARCADE_CLEAR_REPORTS'					=> '<strong>Cleared arcade report log</strong>',
	'LOG_ARCADE_CLEAR_USERS_BANNED'				=> '<strong>Arcade unbanned users</strong><br />» %s',
	'LOG_ARCADE_CLEAR_USERS_LOG'				=> '<strong>Cleared user log</strong>',
	'LOG_ARCADE_CLEAR_USER_BANNED'				=> '<strong>Arcade unbanned user</strong><br />» %s',
	'LOG_ARCADE_CPAGE'							=> '<strong>Altered arcade challenge page settings</strong>',
	'LOG_ARCADE_CREATE_INSTALL_FILE'			=> '<strong>Create arcade game installation file</strong><br />» %s',
	'LOG_ARCADE_DELETE_GAME'					=> '<strong>Deleted arcade game</strong><br />» %s',
	'LOG_ARCADE_DELETE_GAMES'					=> '<strong>Deleted arcade games</strong><br />» %s',
	'LOG_ARCADE_DELETE_SCORE'					=> '<strong>Deleted arcade game score for user: %1$s</strong><br />» %2$s',
	'LOG_ARCADE_DELETE_SUPER_CHAMPION_SCORE'	=> '<strong>Deleted super champion %s’s score data of the game %s.</strong>',
	'LOG_ARCADE_DEL_CAT'						=> '<strong>Deleted arcade category</strong><br />» %s',
	'LOG_ARCADE_DEL_CATS'						=> '<strong>Deleted arcade category and its subcategories</strong><br />» %s',
	'LOG_ARCADE_DEL_GAMES'						=> '<strong>Deleted arcade category and its games</strong><br />» %s',
	'LOG_ARCADE_DEL_GAMES_CATS'					=> '<strong>Deleted arcade category, its games and subcategories</strong><br />» %s',
	'LOG_ARCADE_DEL_GAMES_MOVE_CATS'			=> '<strong>Deleted arcade category and its games, moved subcategories</strong> to %1$s<br />» %2$s',
	'LOG_ARCADE_DEL_MOVE_CATS'					=> '<strong>Deleted arcade category and moved subcategories</strong> to %1$s<br />» %2$s',
	'LOG_ARCADE_DEL_MOVE_GAMES'					=> '<strong>Deleted arcade category and moved games </strong> to %1$s<br />» %2$s',
	'LOG_ARCADE_DEL_MOVE_GAMES_CATS'			=> '<strong>Deleted arcade category and its subcategories, moved games</strong> to %1$s<br />» %2$s',
	'LOG_ARCADE_DEL_MOVE_GAMES_MOVE_CATS'		=> '<strong>Deleted arcade category, moved games</strong> to %1$s <strong>and subcategoriess</strong> to %2$s<br />» %3$s',
	'LOG_ARCADE_EDIT_GAME'						=> '<strong>Altered game settings</strong><br />» %s',
	'LOG_ARCADE_EDIT_GAME_RESET_INSTALL_DATE'	=> '<strong>Edited game and reset the installation date.</strong><br />» %s',
	'LOG_ARCADE_EDIT_SCORE'						=> '<strong>Altered arcade game score data for user: %1$s</strong><br />» %2$s',
	'LOG_ARCADE_EDIT_SUPER_CHAMPION_SCORE'		=> '<strong>Edited super champion %s’s score data of the game %s.</strong>',
	'LOG_ARCADE_ERROR_GAME_FILE_MISSING'		=> '<strong>The game “%s” has missing files or extra files.</strong><br />» %s',
	'LOG_ARCADE_ERROR_PLAYING_TIME'				=> '<strong>The “%s” game score was submitted with no time playing.</strong><br />» Score: %s',
	'LOG_ARCADE_ERROR_UPDATE_GAME_INSTALL_FILE'	=> '<strong>The “%s” game installation file has not been updated, please check the game directory’s and files write permissions.</strong>',
	'LOG_ARCADE_FEATURE'						=> '<strong>Altered arcade feature settings</strong>',
	'LOG_ARCADE_FORM_SCORE_ERROR'				=> '<strong>The game “%s” has sent an incorrect score.</strong><br />Type: %s<br />Score: %s<br /><strong>Error:</strong> (%s)',
	'LOG_ARCADE_FORM_SCORE_ERRORS'				=> '<strong>The game “%s” has sent an incorrect score.</strong><br />Type: %s<br />Score: %s<br /><strong>Errors:</strong> (%s)',
	'LOG_ARCADE_GAME'							=> '<strong>Altered arcade game settings</strong>',
	'LOG_ARCADE_GAME_INSTALL_FILE_NOT_FOUND'	=> '<strong>The game install file for “%s” could not be found.</strong><br />» File: %s',
	'LOG_ARCADE_GAME_INSTALL_FILE_UNWRITABLE'	=> '<strong>The game install file for “%s” is not writable.</strong><br />» File: %s',
	'LOG_ARCADE_GLOBAL_ANNOUNCE'				=> '<strong>Arcade global announcement update</strong>',
	'LOG_ARCADE_G_MOVE_DOWN'					=> '<strong>Moved arcade game order</strong> %s <strong>down</strong>',
	'LOG_ARCADE_G_MOVE_UP'						=> '<strong>Moved arcade game order</strong> %s <strong>up</strong>',
	'LOG_ARCADE_INSTALL_PLUGIN'					=> '<strong>Installed plugin</strong><br />» %s',
	'LOG_ARCADE_LOAD'							=> '<strong>Load settings</strong>',
	'LOG_ARCADE_MOVE_DOWN'						=> '<strong>Moved arcade category</strong> %1$s <strong>below</strong> %2$s',
	'LOG_ARCADE_MOVE_GAME'						=> '<strong>Moved game from category %1$s to new category %2$s</strong><br />» %3$s',
	'LOG_ARCADE_MOVE_GAMES'						=> '<strong>Moved games from category %1$s to new category %2$s</strong><br />» %3$s',
	'LOG_ARCADE_MOVE_UP'						=> '<strong>Moved arcade category</strong> %1$s <strong>above</strong> %2$s',
	'LOG_ARCADE_PATH'							=> '<strong>Altered arcade path settings</strong>',
	'LOG_ARCADE_PLUGIN_DISABLE'					=> '<strong>Disabled plugin</strong><br />» %s',
	'LOG_ARCADE_PLUGIN_EDIT'					=> '<strong>Edited plugin</strong><br />» %s',
	'LOG_ARCADE_PLUGIN_ENABLE'					=> '<strong>Enabled plugin</strong><br />» %s',
	'LOG_ARCADE_PLUGIN_MOVE_DOWN'				=> '<strong>Moved plugin</strong> %1$s <strong>below</strong> %2$s',
	'LOG_ARCADE_PLUGIN_MOVE_UP'					=> '<strong>Moved plugin</strong> %1$s <strong>above</strong> %2$s',
	'LOG_ARCADE_PLUGIN_NAME_EDIT'				=> '<strong>Edited plugin</strong> old name: %s<br />» new name: %s',
	'LOG_ARCADE_PLUGIN_REMOVED'					=> '<strong>Removed plugin</strong><br />» %s',
	'LOG_ARCADE_PLUGIN_UPDATED'					=> '<strong>Plugin updated: %s - %s</strong><br />» New version: %s',
	'LOG_ARCADE_PURGE_SESSIONS'					=> '<strong>Purged arcade sessions</strong>',
	'LOG_ARCADE_RESET_ARCADE'					=> '<strong>Reset arcade</strong>',
	'LOG_ARCADE_RESET_ARCADE_RETAIN_SCHAMPION'	=> '<strong>Reset arcade</strong><br />» Super champions retained',
	'LOG_ARCADE_RESET_CHALLENGE'				=> '<strong>Reset arcade challenge</strong>',
	'LOG_ARCADE_RESET_COMMENT'					=> '<strong>Reset arcade games comments</strong>',
	'LOG_ARCADE_RESET_DOWNLOADS'				=> '<strong>Reset arcade download statistics</strong>',
	'LOG_ARCADE_RESET_GAME'						=> '<strong>Reset arcade game data</strong><br />» %s',
	'LOG_ARCADE_RESET_GAMES'					=> '<strong>Reset arcade games data</strong><br />» %s',
	'LOG_ARCADE_RESET_GAMES_SCORES'				=> '<strong>Reset arcade games scores</strong><br />» %s',
	'LOG_ARCADE_RESET_GAME_SCORES'				=> '<strong>Reset arcade game scores</strong><br />» %s',
	'LOG_ARCADE_RESET_INSTALL_DATE_GAME'		=> '<strong>Reset a game’s installation date.</strong><br />» %s',
	'LOG_ARCADE_RESET_INSTALL_DATE_GAMES'		=> '<strong>Reset several games’ installation dates.</strong><br />» %s',
	'LOG_ARCADE_RESET_JACKPOT'					=> '<strong>Reset arcade jackpot data</strong>',
	'LOG_ARCADE_RESET_PLAYING_RECORD'			=> '<strong>Reset most arcade playing users counter</strong>',
	'LOG_ARCADE_RESET_POINTS'					=> '<strong>Reset arcade points data</strong>',
	'LOG_ARCADE_RESET_SCORES_ALL'				=> '<strong>Delete all user arcade scores</strong>',
	'LOG_ARCADE_RESET_SUPER_CHAMPION'			=> '<strong>Reset super champion</strong>',
	'LOG_ARCADE_RESET_USERS_DATA'				=> '<strong>Arcade reset all users data</strong>',
	'LOG_ARCADE_RESET_USERS_SCORE'				=> '<strong>Reset all arcade scores</strong>',
	'LOG_ARCADE_RESET_USERS_SETTINGS'			=> '<strong>Reset arcade users settings.</strong>',
	'LOG_ARCADE_RESET_USER_ALL'					=> '<strong>Reset all arcade user data</strong><br />» %s',
	'LOG_ARCADE_RESET_USER_SCORES'				=> '<strong>Reset arcade scores</strong><br />» %s',
	'LOG_ARCADE_RESYNC_TOTALS_DATA'				=> '<strong>arcade total data resynchronization</strong>',
	'LOG_ARCADE_SETTINGS'						=> '<strong>Altered arcade general settings</strong>',
	'LOG_ARCADE_SYNC_CAT'						=> '<strong>Re-synchronised arcade category</strong><br />» %s',
	'LOG_ARCADE_SYNC_GAME'						=> '<strong>Re-synchronised arcade game</strong><br />» %s',
	'LOG_ARCADE_SYNC_GAMES'						=> '<strong>Re-synchronised arcade games</strong><br />» %s',
	'LOG_ARCADE_UNPACK_GAME'					=> '<strong>Unpacked game</strong><br />» %s',
	'LOG_ARCADE_UNPACK_GAMES'					=> '<strong>Unpacked games</strong><br />» %s',
	'LOG_ARCADE_UPLOAD_UNPACK_GAME'				=> '<strong>Uploaded and unpacked game</strong><br />» %s',
	'LOG_ARCADE_USER_BANNED'					=> '<strong>Arcade banned user</strong><br />» %s',
	'LOG_ARCADE_USER_MAIN_SETTINGS'				=> '<strong>Changed main settings.</strong>',
	'LOG_ARCADE_USER_MANAGE_FAVORITES'			=> '<strong>Managed his favorite games.</strong>',
	'LOG_ARCADE_USER_POST_SETTINGS'				=> '<strong>Changed post settings.</strong>',
	'LOG_ARCADE_USER_SET_UPDATE'				=> '<strong>Updated arcade user details</strong><br />» %s',
	'LOG_C_ROLE_ADD'							=> '<strong>Arcade category role added</strong><br />» %s',
	'LOG_C_ROLE_EDIT'							=> '<strong>Arcade category role edited</strong><br />» %s',
	'LOG_C_ROLE_REMOVED'						=> '<strong>Arcade category role removed</strong><br />» %s',
));

?>