<?php
/**
*
* acp permissions_arcade (phpBB Arcade Permission Set) [English]
*
* @package phpBB Arcade language
* @version $Id: permissions_arcade.php 126 2012-12-15 12:22:16Z killbill $
* @copyright (c) 2008-2011 JRSweets - jrsweets@gmail.com
* @copyright (c) 2011-2013 http://phpbbarcade.jatek-vilag.com
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
// Some characters you may want to copy&paste: ’ » “ ” …

/**
*	MODDERS PLEASE NOTE
*
*	You are able to put your permission sets into a separate file too by
*	prefixing the new file with permissions_ and putting it into the acp
*	language folder.
*
*	An example of how the file could look like:
*
*	<code>
*
*	if (empty($lang) || !is_array($lang))
*	{
*		$lang = array();
*	}
*
*	// Adding new category
*	$lang['permission_cat']['bugs'] = 'Bugs';
*
*	// Adding new permission set
*	$lang['permission_type']['bug_'] = 'Bug Permissions';
*
*	// Adding the permissions
*	$lang = array_merge($lang, array(
*		'acl_bug_view'		=> array('lang' => 'Can view bug reports', 'cat' => 'bugs'),
*		'acl_bug_post'		=> array('lang' => 'Can post bugs', 'cat' => 'post'), // Using a phpBB category here
*	));
*
*	</code>
*/

// Define categories and permission types
$lang['permission_cat']['arcade']	= 'phpBB ארקייד';
$lang['permission_type']['c_']		= 'הרשאות קטגוריה מקומית של משחקים';

// Admin Permissions
$lang = array_merge($lang, array(
	'acl_a_arcade'							=> array('lang' => 'באפשרותך לנהל איפוס arcade'						, 'קטגוריה' => 'arcade'),
	'acl_a_arcade_backup'					=> array('lang' => 'יכול לגבות קטגוריות ארקייד.'					, 'קטגוריה' => 'arcade'),
	'acl_a_arcade_cat'						=> array('lang' => 'יכול להוסיף/לערוך קטגורייות למשחקיה'					, 'קטגוריה' => 'משחקייה'),
	'acl_a_arcade_clearlogs'				=> array('lang' => 'ניתן לנקות את היומנים'									, 'קטגוריה' => 'arcade'),
	'acl_a_arcade_delete_cat'				=> array('lang' => 'ניתן למחוק קטגוריות ארקייד'					, 'קטגוריה' => 'arcade'),
	'acl_a_arcade_delete_game'				=> array('lang' => 'ניתן למחוק משחקי ארקייד'						, 'קטגוריה' => 'משחקייה'),
	'acl_a_arcade_game'						=> array('lang' => 'ניתן להוסיף/לערוך משחקים במשחקייה '						, 'קטגוריה' => 'משחקייה'),
	'acl_a_arcade_plugin'					=> array('lang' => 'ניתן לנהל תוספות ארקייד'						, 'קטגוריה' => 'arcade'),
	'acl_a_arcade_plugin_remove'			=> array('lang' => 'ניתן להסיר תוספות ארקייד'						, 'cat' => 'arcade'),
	'acl_a_arcade_points_settings'			=> array('lang' => 'תוכל לנהל את הגדרות ארקייד נקודות'				, 'cat' => 'arcade'),
	'acl_a_arcade_utilities'				=> array('lang' => 'ניתן להשתמש בכלי עזר ארקייד'						, 'cat' => 'arcade'),
	'acl_a_arcade_user'						=> array('lang' => 'ניתן לנהל משתמשי ארקייד'						, 'cat' => 'arcade'),
	'acl_a_arcade_settings'					=> array('lang' => 'תוכל לנהל את הגדרות ארקייד'						, 'cat' => 'arcade'),
	'acl_a_arcade_viewlogs'					=> array('lang' => 'יכול להציג יומנים'									, 'cat' => 'arcade'),
	'acl_a_cauth'							=> array('lang' => 'יכול לשנות את מעמד ההרשאה של ארקייד'				, 'cat' => 'arcade'),
));

// User Permissions
$lang = array_merge($lang, array(
	'acl_u_arcade'							=> array('lang' => 'יכול להשתמש בארקייד'								, 'קטגוריה' => 'משחקייה'),
	'acl_u_arcade_challenge'				=> array('lang' => 'יכול להשתמש באופצית טורניר'							, 'קטגוריה' => 'משחקייה'),
	'acl_u_arcade_download'					=> array('lang' => 'יכול להוריד משחקים'								, 'קטגוריה' => 'משחקייה'),
	'acl_u_arcade_favorites'				=> array('lang' => 'יכול להוסיף או להסיר סימני משחקים'					, 'קטגוריה' => 'משחקייה'),
	'acl_u_arcade_ignoreflood_search'		=> array('lang' => 'יכול להתעלם ממגבל זמן המתנה בין חיפוש לחיפוש'					, 'קטגוריה' => 'משחקייה'),
	'acl_u_arcade_popup'					=> array('lang' => 'יכול לשחק במשחקים של המשחקייה בחלון חדש'			, 'קטגוריה' => 'משחקייה'),
	'acl_u_arcade_pm'						=> array('lang' => 'יכול לקבל הודעה פרטית על אובדן גביע'	, 'קטגוריה' => 'משחקייה'),
	'acl_u_arcade_resolution'				=> array('lang' => 'יכול לשנות את רוזולוציית המשחק'					, 'קטגוריה' => 'משחקייה'),
	'acl_u_arcade_search'					=> array('lang' => 'יכול לחפש בתוך ארקייד'						, 'קטגוריה' => 'משחקייה'),
	'acl_u_arcade_view_whoisplaying'		=> array('lang' => 'יכול לראות מי משחק במשחקים'					, 'קטגוריה' => 'משחקייה'),
	'acl_u_arcade_viewstats'				=> array('lang' => 'ניתן לצפות בדף הסטטיסטיקה'							, 'קטגוריה' => 'משחקייה'),
));

// Category Permissions
$lang = array_merge($lang, array(
	'acl_c_challenge_playing_games'			=> array('lang' => 'יכול לשחק במשחקים על התלויים ועומדים מאתגרים '			, 'קטגוריה' => 'משחקייה'),
	'acl_c_challenge_start_game_warning'	=> array('lang' => 'יכול להתעלם מהאזהרה לאתגר חדש בתחילת משחק.', 'קטגוריה' => 'משחקייה'),
	'acl_c_comment'							=> array('lang' => 'ניתן להגיש הערות'							, 'קטגוריה' => 'משחקייה'),
	'acl_c_download'						=> array('lang' => 'ניתן להוריד משחקי ארקייד'						, 'קטגוריה' => 'משחקייה'),
	'acl_c_ignorecontrol'					=> array('lang' => 'יכול להתעלם מבקרת המשחק'						, 'קטגוריה' => 'משחקייה'),
	'acl_c_ignoreflood_download'			=> array('lang' => 'יכול להתעלם ממבול מגבלת הורדה'				, 'קטגוריה' => 'משחקייה'),
	'acl_c_ignoreflood_play'				=> array('lang' => 'יכול להתעלם ממגבלת מבול המשחק'					, 'קטגוריה' => 'משחקייה'),
	'acl_c_list'							=> array('lang' => 'יכול רשימת קטגוריה'								, 'קטגוריה' => 'משחקייה'),
	'acl_c_play'							=> array('lang' => 'יכול לשחק במשחקייה'							, 'קטגוריה' => 'משחקייה'),
	'acl_c_playfree'						=> array('lang' => 'יכול לשחק בבמשחקייה משחקים שבחינם'					, 'קטגוריה' => 'משחקייה'),
	'acl_c_downloadfree'					=> array('lang' => 'יכול להוריד מהמשחקייה משחקים בחינם'				, 'קטגוריה' => 'משחקייה'),
	'acl_c_re_rate'							=> array('lang' => 'יכול לשנות דירוגים של עצמו'							, 'קטגוריה' => 'משחקייה'),
	'acl_c_rate'							=> array('lang' => 'יכול לדרג משחקים'									, 'קטגוריה' => 'משחקייה'),
	'acl_c_report'							=> array('lang' => 'ניתן לדווח על משחקים במשחקייה'					, 'קטגוריה' => 'משחקייה'),
	'acl_c_score'							=> array('lang' => 'יכול להגיש ניקוד'								, 'קטגוריה' => 'משחקייה'),
	'acl_c_view'							=> array('lang' => 'יכול לראות קטגוריה'								, 'קטגוריה' => 'משחקייה'),
));

?>